/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Visual Servoing Platform", "index.html", [
    [ "ViSP 3.6.0 main page", "index.html", "index" ],
    [ "Supported Hardware", "supported-material.html", [
      [ "Supported Robots", "supported-material.html#material_robots", [
        [ "Universal Robots", "supported-material.html#material_robots_ur", null ],
        [ "Franka Emika Panda", "supported-material.html#material_robots_franka", null ],
        [ "Kinova Jaco", "supported-material.html#material_robots_kinova", null ],
        [ "FLIR Pan-Tilt Unit", "supported-material.html#material_robots_flir_ptu", null ],
        [ "Parrot Bebop2 Drone", "supported-material.html#material_robots_bebop2", null ],
        [ "Pioneer P3DX", "supported-material.html#material_robots_pioneer", null ],
        [ "mBot Ranger Educational Kit", "supported-material.html#material_robots_mbot_ranger", null ],
        [ "AION ROBOTICS", "supported-material.html#material_robots_aion_robotics", null ],
        [ "Pixhawk and MavLink", "supported-material.html#material_robots_pixhawk", null ]
      ] ],
      [ "Supported Haptic Devices", "supported-material.html#material_haptic", [
        [ "qbRobotics Soft Hand", "supported-material.html#material_haptic_qbrobotics", null ],
        [ "Right Hand Robotics Reflex Takktile2 Hand", "supported-material.html#material_haptic_right_hand", null ],
        [ "Haption Virtuose 6D", "supported-material.html#material_haptic_virtuose", null ]
      ] ],
      [ "Supported Force/Torque Sensor", "supported-material.html#material_ft", [
        [ "ATI Net F/T device", "supported-material.html#material_ft_ati_net", null ],
        [ "ATI FT device connected to a National Instrument DAQmx PCI board", "supported-material.html#material_ft_ati_daq", null ],
        [ "Alberobotics FT device", "supported-material.html#material_ft_alberobotics", null ]
      ] ],
      [ "Supported Lidar", "supported-material.html#material_laser_scanner", [
        [ "Sick LD-MRS Lidar", "supported-material.html#material_laser_scanner_sick", null ]
      ] ],
      [ "Supported Depth Cameras", "supported-material.html#material_camera_depth", [
        [ "Intel Realsense Depth Cameras", "supported-material.html#material_camera_depth_realsense", null ],
        [ "Structure Core Depth Cameras", "supported-material.html#material_camera_depth_structure_core", null ],
        [ "Microsoft Kinect 1 Xbox 360", "supported-material.html#material_camera_depth_kinect1", null ]
      ] ],
      [ "Supported Cameras", "supported-material.html#material_camera", [
        [ "IDS UEyE Cameras", "supported-material.html#material_camera_ids", null ],
        [ "Basler Cameras", "supported-material.html#material_camera_basler", null ],
        [ "FLIR Cameras", "supported-material.html#material_camera_flir", null ],
        [ "Generic Firewire Cameras", "supported-material.html#material_camera_firewire", null ],
        [ "Generic USB Cameras", "supported-material.html#material_camera_v4l2", null ]
      ] ],
      [ "Supported Motion Capture System", "supported-material.html#material_mocap", [
        [ "Qualisys Motion Capture System", "supported-material.html#material_mocap_qualisys", null ],
        [ "Vicon Motion Capture System", "supported-material.html#material_mocap_vicon", null ]
      ] ]
    ] ],
    [ "Supported Third-Party Libraries", "supported-third-parties.html", [
      [ "Computer Vision", "supported-third-parties.html#soft_vision", [
        [ "OpenCV", "supported-third-parties.html#soft_vision_opencv", null ]
      ] ],
      [ "Linear Algebra", "supported-third-parties.html#soft_linear_algebra", [
        [ "Intel Math Kernel Library (MKL)", "supported-third-parties.html#soft_linear_algebra_mkl", null ],
        [ "OpenBLAS", "supported-third-parties.html#soft_linear_algebra_openblas", null ],
        [ "Gnu Scientic Library (GSL)", "supported-third-parties.html#soft_linear_algebra_gsl", null ],
        [ "Netlib", "supported-third-parties.html#soft_linear_algebra_netlin", null ],
        [ "Atlas", "supported-third-parties.html#soft_linear_algebra_atlas", null ],
        [ "Eigen3", "supported-third-parties.html#soft_linear_algebra_eigen3", null ]
      ] ],
      [ "Image I/O", "supported-third-parties.html#soft_image_io", [
        [ "libjpeg", "supported-third-parties.html#soft_image_io_libjpeg", null ],
        [ "libpng", "supported-third-parties.html#soft_image_io_libpng", null ]
      ] ],
      [ "Robot Control", "supported-third-parties.html#soft_robot", [
        [ "ur_rtde C++ interface", "supported-third-parties.html#soft_robots_ur", null ],
        [ "libfranka", "supported-third-parties.html#soft_robots_libfranka", null ],
        [ "Kinova Jaco Gen2 SDK", "supported-third-parties.html#soft_robots_kinova", null ],
        [ "FLIR PTU SDK", "supported-third-parties.html#soft_robots_flir_ptu", null ],
        [ "ARDroneSDK3", "supported-third-parties.html#soft_robots_bebop2", null ],
        [ "Aria", "supported-third-parties.html#soft_robots_aria", null ],
        [ "MavSDK/MavLink", "supported-third-parties.html#soft_robots_mavsdk", null ]
      ] ],
      [ "Force/Torque Interfaces", "supported-third-parties.html#soft_ft", [
        [ "Comedi", "supported-third-parties.html#soft_ft_comedi", null ]
      ] ],
      [ "Depth Camera SDK", "supported-third-parties.html#soft_camera_depth", [
        [ "librealsense", "supported-third-parties.html#soft_camera_depth_librealsense", null ],
        [ "Occipital Structure SDK", "supported-third-parties.html#soft_camera_depth_structure", null ],
        [ "libfreenect", "supported-third-parties.html#soft_camera_depth_libfreenect", null ]
      ] ],
      [ "Camera SDK", "supported-third-parties.html#soft_camera", [
        [ "uEye SDK", "supported-third-parties.html#soft_camera_ueye", null ],
        [ "Pylon SDK", "supported-third-parties.html#soft_camera_pylon", null ],
        [ "Flycapture SDK", "supported-third-parties.html#soft_camera_flycapture", null ],
        [ "libdc1394", "supported-third-parties.html#soft_camera_libdc1394", null ],
        [ "Video 4 Linux (v4l)", "supported-third-parties.html#soft_camera_v4l", null ]
      ] ],
      [ "Motion Capture SDK", "supported-third-parties.html#soft_mocap", [
        [ "Qualisys SDK", "supported-third-parties.html#soft_mocap_qualisys", null ],
        [ "Vicon SDK", "supported-third-parties.html#soft_mocap_vicon", null ]
      ] ],
      [ "Toolbox", "supported-third-parties.html#soft_tool", [
        [ "JSON for modern C++", "supported-third-parties.html#soft_tool_json", null ],
        [ "Point Cloud Library (PCL)", "supported-third-parties.html#soft_tool_pcl", null ]
      ] ]
    ] ],
    [ "Installation", "tutorial_install.html", [
      [ "Installation from source code", "tutorial_install_src.html", [
        [ "Tutorial: Installation from source for Linux Ubuntu or Debian", "tutorial-install-ubuntu.html", [
          [ "Install prerequisites", "tutorial-install-ubuntu.html#install_ubuntu_required", null ],
          [ "Create a workspace", "tutorial-install-ubuntu.html#install_ubuntu_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-ubuntu.html#install_ubuntu_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-ubuntu.html#install_ubuntu_advanced", [
            [ "Install 3rd parties", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_recommended", null ],
              [ "librealsense 2.x 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_realsense", null ],
              [ "libStructure 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_occipital_structure", null ],
              [ "FlyCapture 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_flycapture", null ],
              [ "Pylon 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_pylon", null ],
              [ "IDS uEye 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_ueye", null ],
              [ "libfranka 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_franka", null ],
              [ "Kinova Jaco 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_jaco", null ],
              [ "ur_rtde 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_ur_rtde", null ],
              [ "Qualisys Mocap 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_qualisys", null ],
              [ "Vicon Mocap 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_vicon", null ],
              [ "Other optional 3rd parties", "tutorial-install-ubuntu.html#install_ubuntu_3rdparty_other", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-ubuntu.html#install_ubuntu_visp_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-ubuntu.html#install_ubuntu_visp_config", null ],
            [ "Build ViSP libraries", "tutorial-install-ubuntu.html#install_ubuntu_visp_build", null ],
            [ "Build ViSP documentation", "tutorial-install-ubuntu.html#install_ubuntu_visp_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-ubuntu.html#install_ubuntu_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-ubuntu.html#install_ubuntu_dataset", null ],
          [ "Tips and tricks", "tutorial-install-ubuntu.html#install_ubuntu_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-ubuntu.html#install_ubuntu_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-ubuntu.html#install_ubuntu_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-ubuntu.html#install_ubuntu_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-ubuntu.html#install_ubuntu_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-ubuntu.html#install_ubuntu_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-ubuntu.html#install_ubuntu_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-ubuntu.html#install_ubuntu_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-ubuntu.html#install_ubuntu_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Linux Fedora", "tutorial-install-fedora.html", [
          [ "Install prerequisites", "tutorial-install-fedora.html#install_fedora_required", null ],
          [ "Create a workspace", "tutorial-install-fedora.html#install_fedora_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-fedora.html#install_fedora_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-fedora.html#install_fedora_advanced", [
            [ "Install 3rd parties", "tutorial-install-fedora.html#install_fedora_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-fedora.html#install_fedora_3rdparty_recommended", null ],
              [ "Other optional 3rd parties", "tutorial-install-fedora.html#install_fedora_3rdparty_other", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-fedora.html#install_fedora_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-fedora.html#install_fedora_config", null ],
            [ "Build ViSP libraries", "tutorial-install-fedora.html#install_fedora_build", null ],
            [ "Build ViSP documentation", "tutorial-install-fedora.html#install_fedora_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-fedora.html#install_fedora_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-fedora.html#install_fedora_dataset", null ],
          [ "Tips and tricks", "tutorial-install-fedora.html#install_fedora_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-fedora.html#install_fedora_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-fedora.html#install_fedora_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-fedora.html#install_fedora_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-fedora.html#install_fedora_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-fedora.html#install_fedora_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-fedora.html#install_fedora_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-fedora.html#install_fedora_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-fedora.html#install_fedora_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Linux CentOS", "tutorial-install-centos.html", [
          [ "Install prerequisites", "tutorial-install-centos.html#install_centos_required", null ],
          [ "Create a workspace", "tutorial-install-centos.html#install_centos_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-centos.html#install_centos_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-centos.html#install_centos_advanced", [
            [ "Install 3rd parties", "tutorial-install-centos.html#install_centos_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-centos.html#install_centos_3rdparty_recommended", null ],
              [ "Other optional 3rd parties", "tutorial-install-centos.html#install_centos_3rdparty_other", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-centos.html#install_centos_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-centos.html#install_centos_config", null ],
            [ "Build ViSP libraries", "tutorial-install-centos.html#install_centos_build", null ],
            [ "Build ViSP documentation", "tutorial-install-centos.html#install_centos_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-centos.html#install_centos_visp_dir", null ]
          ] ],
          [ "Install ViSP dataset", "tutorial-install-centos.html#install_centos_dataset", null ],
          [ "Tips and tricks", "tutorial-install-centos.html#install_centos_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-centos.html#install_centos_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-centos.html#install_centos_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-centos.html#install_centos_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-centos.html#install_centos_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-centos.html#install_centos_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-centos.html#install_centos_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-centos.html#install_centos_tips_3rd_party", null ]
          ] ],
          [ "Known issues", "tutorial-install-centos.html#install_centos_issues", [
            [ "libpthread may be hidden by files in //lib64", "tutorial-install-centos.html#install_centos_issues_pthread", null ],
            [ "vpVideoReader is not able to read mpeg videos", "tutorial-install-centos.html#install_centos_issues_videoreader", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-centos.html#install_centos_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Linux openSUSE", "tutorial-install-opensuse.html", [
          [ "Create a workspace", "tutorial-install-opensuse.html#install_opensuse_ws", null ],
          [ "Install prerequisites", "tutorial-install-opensuse.html#install_opensuse_required", null ],
          [ "Quick ViSP installation", "tutorial-install-opensuse.html#install_opensuse_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-opensuse.html#install_opensuse_advanced", [
            [ "Install 3rd parties", "tutorial-install-opensuse.html#install_opensuse_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-opensuse.html#install_opensuse_3rdparty_recommended", null ],
              [ "Other optional 3rd parties", "tutorial-install-opensuse.html#install_opensuse_3rdparty_other", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-opensuse.html#install_opensuse_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-opensuse.html#install_opensuse_config", null ],
            [ "Build ViSP libraries", "tutorial-install-opensuse.html#install_opensuse_build", null ],
            [ "Build ViSP documentation", "tutorial-install-opensuse.html#install_opensuse_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-opensuse.html#install_opensuse_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-opensuse.html#install_opensuse_dataset", null ],
          [ "Tips and tricks", "tutorial-install-opensuse.html#install_opensuse_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-opensuse.html#install_opensuse_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-opensuse.html#install_opensuse_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-opensuse.html#install_opensuse_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-opensuse.html#install_opensuse_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-opensuse.html#install_opensuse_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-opensuse.html#install_opensuse_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-opensuse.html#install_opensuse_tips_3rd_party", null ]
          ] ],
          [ "Known issues", "tutorial-install-opensuse.html#install_opensuse_issues", [
            [ "libjpeg.so.8 may conflict with libjpeg.so.62", "tutorial-install-opensuse.html#install_opensuse_issues_libjpeg", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-opensuse.html#install_opensuse_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Raspberry Pi", "tutorial-install-raspberry.html", [
          [ "Raspberry Pi installation", "tutorial-install-raspberry.html#install_raspberry", [
            [ "Setting up Raspberry Pi", "tutorial-install-raspberry.html#install_raspberry_setup", null ],
            [ "Logging in", "tutorial-install-raspberry.html#install_raspberry_login", null ],
            [ "Update your Raspbian distribution", "tutorial-install-raspberry.html#update", null ],
            [ "Setting up a Raspberry Pi camera", "tutorial-install-raspberry.html#install_raspberry_camera", null ],
            [ "Start graphical user interface", "tutorial-install-raspberry.html#install_raspberry_startx", null ]
          ] ],
          [ "Install prerequisites", "tutorial-install-raspberry.html#install_raspberry_visp_prerequisites", null ],
          [ "Create a workspace", "tutorial-install-raspberry.html#install_raspberry_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-raspberry.html#install_raspberry_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-raspberry.html#install_raspberry_advanced", [
            [ "Install 3rd parties", "tutorial-install-raspberry.html#install_raspberry_3rdparty", [
              [ "Install recommended 3rd parties", "tutorial-install-raspberry.html#install_raspberry_visp_3rd_party", null ],
              [ "Other optional 3rd parties", "tutorial-install-raspberry.html#install_raspberry_visp_3rd_party_other", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-raspberry.html#install_raspberry_visp_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-raspberry.html#install_raspberry_visp_config", null ],
            [ "Build ViSP libraries", "tutorial-install-raspberry.html#install_raspberry_visp_build", null ],
            [ "Build ViSP documentation", "tutorial-install-raspberry.html#install_raspberry_visp_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-raspberry.html#install_raspberry_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-raspberry.html#install_raspberry_dataset", null ],
          [ "Tips and tricks", "tutorial-install-raspberry.html#install_raspberry_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-raspberry.html#install_raspberry_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-raspberry.html#install_raspberry_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-raspberry.html#install_raspberry_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-raspberry.html#install_raspberry_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-raspberry.html#install_raspberry_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-raspberry.html#install_raspberry_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-raspberry.html#install_raspberry_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-raspberry.html#install_raspberry_next", null ]
        ] ],
        [ "Tutorial: Installation from source on a Jetson TX2 equipped with an Orbitty Carrier board", "tutorial-install-jetson.html", [
          [ "Install prerequisites", "tutorial-install-jetson.html#install_jetson_required", null ],
          [ "Create a workspace", "tutorial-install-jetson.html#install_jetson_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-jetson.html#install_jetson_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-jetson.html#install_jetson_advanced", [
            [ "Install 3rd parties", "tutorial-install-jetson.html#install_jetson_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-jetson.html#install_jetson_3rdparty_recommended", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-jetson.html#install_jetson_visp_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-jetson.html#install_jetson_visp_config", null ],
            [ "Build ViSP libraries", "tutorial-install-jetson.html#install_jetson_visp_build", null ],
            [ "Build ViSP documentation", "tutorial-install-jetson.html#install_jetson_visp_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-jetson.html#install_jetson_visp_dir", null ]
          ] ],
          [ "Install ViSP dataset", "tutorial-install-jetson.html#install_jetson_dataset", null ],
          [ "Tips and tricks", "tutorial-install-jetson.html#install_jetson_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-jetson.html#install_jetson_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-jetson.html#install_jetson_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-jetson.html#install_jetson_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-jetson.html#install_jetson_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-jetson.html#install_jetson_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-jetson.html#install_jetson_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-jetson.html#install_jetson_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-jetson.html#install_jetson_next", null ]
        ] ],
        [ "Tutorial: Installation from source on a Jetson TX2 equipped with a Quasar Carrier board", "tutorial-install-jetson-quasar.html", [
          [ "Install prerequisites", "tutorial-install-jetson-quasar.html#install_jetson_quasar_required", null ],
          [ "Create a workspace", "tutorial-install-jetson-quasar.html#install_jetson_quasar_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-jetson-quasar.html#install_jetson_quasar_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-jetson-quasar.html#install_jetson_quasar_advanced", [
            [ "Install 3rd parties", "tutorial-install-jetson-quasar.html#install_jetson_quasar_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-jetson-quasar.html#install_jetson_quasar_3rdparty_recommended", null ],
              [ "Install OpenCV from source", "tutorial-install-jetson-quasar.html#install_jetson_quasar_3rdparty_opencv", null ],
              [ "librealsense 2.x 3rd party", "tutorial-install-jetson-quasar.html#install_jetson_quasar_3rdparty_realsense", null ],
              [ "libStructure 3rd party", "tutorial-install-jetson-quasar.html#install_jetson_quasar_3rdparty_occipital_structure", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-jetson-quasar.html#install_jetson_quasar_visp_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-jetson-quasar.html#install_jetson_quasar_visp_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-jetson-quasar.html#install_jetson_quasar_visp_build", null ],
            [ "Build ViSP documentation", "tutorial-install-jetson-quasar.html#install_jetson_quasar_visp_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-jetson-quasar.html#install_jetson_quasar_visp_dir", null ]
          ] ],
          [ "Install ViSP dataset", "tutorial-install-jetson-quasar.html#install_jetson_quasar_dataset", null ],
          [ "Tips and tricks", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-jetson-quasar.html#install_jetson_quasar_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-jetson-quasar.html#install_jetson_quasar_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 10 with Visual C++ 2015 (vc14)", "tutorial-install-win10-msvc14.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc14.html#install_win10_msvc14_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rd_msvc", null ],
            [ "Windows Software Development Kit", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rd_win_sdk", null ],
            [ "CMake", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc14.html#install_win10_msvc14_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win10-msvc14.html#install_win10_msvc14_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win10-msvc14.html#install_win10_msvc14_advanced", [
            [ "Install 3rd parties", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty", [
              [ "Eigen3 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_eigen", null ],
              [ "OpenCV 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_opencv", null ],
              [ "librealsense 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_realsense", null ],
              [ "PCL 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_pcl", null ],
              [ "FlyCapture 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_flycapture", null ],
              [ "Pylon 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_pylon", null ],
              [ "IDS uEye 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_ueye", null ],
              [ "zbar 3rd party", "tutorial-install-win10-msvc14.html#install_win10_msvc14_3rdparty_zbar", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win10-msvc14.html#install_win10_msvc14_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win10-msvc14.html#install_win10_msvc14_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win10-msvc14.html#install_win10_msvc14_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win10-msvc14.html#install_win10_msvc14_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win10-msvc14.html#install_win10_msvc14_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win10-msvc14.html#install_win10_msvc14_visp_dir", null ]
          ] ],
          [ "Install ViSP dataset", "tutorial-install-win10-msvc14.html#install_win10_msvc14_dataset", null ],
          [ "Tip and tricks", "tutorial-install-win10-msvc14.html#install_win10_msvc14_tip", [
            [ "How to set a specific Visual Studio version", "tutorial-install-win10-msvc14.html#install_win10_msvc14_tip_msvc_select", null ],
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win10-msvc14.html#install_msvc14_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win10-msvc14.html#install_msvc14_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win10-msvc14.html#install_msvc14_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win10-msvc14.html#install_msvc14_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win10-msvc14.html#install_msvc14_tips_3rd_party", null ],
            [ "librealsense installer returns an unrecoverable SEH exception", "tutorial-install-win10-msvc14.html#install_win10_msvc14_issue_librealsense_cpu_too_old", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win10-msvc14.html#install_win10_msvc14_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 10 with Visual C++ 2017 (vc15)", "tutorial-install-win10-msvc15.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc15.html#install_win10_msvc15_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rd_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc15.html#install_win10_msvc15_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win10-msvc15.html#install_win10_msvc15_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win10-msvc15.html#install_win10_msvc15_advanced", [
            [ "Install 3rd parties", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty", [
              [ "Eigen3 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_eigen", null ],
              [ "OpenCV 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_opencv", null ],
              [ "librealsense 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_realsense", null ],
              [ "PCL 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_pcl", null ],
              [ "FlyCapture 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_flycapture", null ],
              [ "Pylon 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_pylon", null ],
              [ "IDS uEye 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_ueye", null ],
              [ "zbar 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_zbar", null ],
              [ "Kinova Jaco 3rd party", "tutorial-install-win10-msvc15.html#install_win10_msvc15_3rdparty_jaco", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win10-msvc15.html#install_win10_msvc15_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win10-msvc15.html#install_win10_msvc15_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win10-msvc15.html#install_win10_msvc15_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win10-msvc15.html#install_win10_msvc15_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win10-msvc15.html#install_win10_msvc15_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win10-msvc15.html#install_win10_msvc15_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win10-msvc15.html#install_win10_msvc15_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win10-msvc15.html#install_msvc15_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win10-msvc15.html#install_msvc15_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win10-msvc15.html#install_msvc15_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win10-msvc15.html#install_msvc15_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win10-msvc15.html#install_msvc15_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win10-msvc15.html#install_msvc15_tips_3rd_party", null ],
            [ "CMake configuration fails with PCL 1.9.1-AllInOne-msvc2017-win64", "tutorial-install-win10-msvc15.html#install_win10_msvc15_issue_pcl_1_9_1", null ],
            [ "librealsense installer returns an unrecoverable SEH exception", "tutorial-install-win10-msvc15.html#install_win10_msvc15_issue_librealsense_cpu_too_old", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win10-msvc15.html#install_win10_msvc15_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 10 with Visual C++ 2019 (vc16)", "tutorial-install-win10-msvc16.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc16.html#install_win10_msvc16_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rd_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc16.html#install_win10_msvc16_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win10-msvc16.html#install_win10_msvc16_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win10-msvc16.html#install_win10_msvc16_advanced", [
            [ "Install 3rd parties", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty", [
              [ "Eigen3 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_eigen", null ],
              [ "OpenCV 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_opencv", null ],
              [ "librealsense 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_realsense", null ],
              [ "libStructure 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_occ_structure", null ],
              [ "PCL 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_pcl", null ],
              [ "FlyCapture 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_flycapture", null ],
              [ "Pylon 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_pylon", null ],
              [ "IDS uEye 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_ueye", null ],
              [ "Kinova Jaco 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_jaco", null ],
              [ "Qualisys Mocap 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_qualisys", null ],
              [ "Vicon Mocap 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_vicon", null ],
              [ "JSON 3rd party", "tutorial-install-win10-msvc16.html#install_win10_msvc16_3rdparty_json", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win10-msvc16.html#install_win10_msvc16_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win10-msvc16.html#install_win10_msvc16_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win10-msvc16.html#install_win10_msvc16_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win10-msvc16.html#install_win10_msvc16_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win10-msvc16.html#install_win10_msvc16_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win10-msvc16.html#install_win10_msvc16_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win10-msvc16.html#install_win10_msvc16_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win10-msvc16.html#install_msvc16_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win10-msvc16.html#install_msvc16_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win10-msvc16.html#install_msvc16_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win10-msvc16.html#install_msvc16_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win10-msvc16.html#install_msvc16_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win10-msvc16.html#install_msvc16_tips_3rd_party", null ],
            [ "Build fails with Eigen 3.3.8", "tutorial-install-win10-msvc16.html#install_msvc16_tips_eigen_3_3_8", null ],
            [ "librealsense installer returns an unrecoverable SEH exception", "tutorial-install-win10-msvc16.html#install_win10_msvc16_issue_librealsense_cpu_too_old", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win10-msvc16.html#install_win10_msvc16_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 10 with Visual C++ 2022 (vc17)", "tutorial-install-win10-msvc17.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc17.html#install_win10_msvc17_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rd_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc17.html#install_win10_msvc17_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win10-msvc17.html#install_win10_msvc17_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win10-msvc17.html#install_win10_msvc17_advanced", [
            [ "Install 3rd parties", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty", [
              [ "OpenCV 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_opencv", null ],
              [ "Eigen3 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_eigen", null ],
              [ "librealsense 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_realsense", null ],
              [ "PCL 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_pcl", null ],
              [ "FlyCapture 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_flycapture", null ],
              [ "Pylon 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_pylon", null ],
              [ "IDS uEye 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_ueye", null ],
              [ "Kinova Jaco 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_jaco", null ],
              [ "Qualisys Mocap 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_qualisys", null ],
              [ "Vicon Mocap 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_vicon", null ],
              [ "JSON 3rd party", "tutorial-install-win10-msvc17.html#install_win10_msvc17_3rdparty_json", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win10-msvc17.html#install_win10_msvc17_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win10-msvc17.html#install_win10_msvc17_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win10-msvc17.html#install_win10_msvc17_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win10-msvc17.html#install_win10_msvc17_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win10-msvc17.html#install_win10_msvc17_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win10-msvc17.html#install_win10_msvc17_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win10-msvc17.html#install_win10_msvc17_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win10-msvc17.html#install_msvc17_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win10-msvc17.html#install_msvc17_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win10-msvc17.html#install_msvc17_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win10-msvc17.html#install_msvc17_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win10-msvc17.html#install_msvc17_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win10-msvc17.html#install_msvc17_tips_3rd_party", null ],
            [ "Build fails with Eigen 3.3.8", "tutorial-install-win10-msvc17.html#install_msvc17_tips_eigen_3_3_8", null ],
            [ "librealsense installer returns an unrecoverable SEH exception", "tutorial-install-win10-msvc17.html#install_win10_msvc17_issue_librealsense_cpu_too_old", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win10-msvc17.html#install_win10_msvc17_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 10 with MinGW-w64", "tutorial-install-win10-mingw-w64.html", [
          [ "Install prerequisites", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_required", [
            [ "MinGW-W64", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_required_mingw", null ],
            [ "CMake", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_advanced", [
            [ "Install 3rd parties", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rdparty", [
              [ "Eigen3 3rd party", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rdparty_eigen", null ],
              [ "OpenCV 3rd party", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rdparty_opencv", null ],
              [ "JSON 3rd party", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rdparty_json", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_tips_3rd_party", null ]
          ] ],
          [ "Known issues", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw", [
            [ "OpenCV 4.7.0 and 4.8.0 compilation problem in obsensor_stream_channel_msmf.cpp", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_obsensor", null ],
            [ "OpenCV 4.5.0 compilation problem gcc: error: long: No such file or directory", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_allocator", null ],
            [ "OpenCL D3D11 build failure", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_opencl_d3d11", null ],
            [ "OpenCV endianness failure during CMake configuration", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_endianness", null ],
            [ "OpenCV build error: cannot build with tiff support", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_tiff", null ],
            [ "OpenCV link error: cannot find -lRunTmChk", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_ipp", null ],
            [ "OpenCV build error: struct has virtual functions and accessible non-virtual destructor", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_dtor", null ],
            [ "OpenCV not detected with Mingw build", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_not_detected", null ],
            [ "windres.exe invalid option –W", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_precompiled_headers", null ],
            [ "Build error in cap_dshow.cpp", "tutorial-install-win10-mingw-w64.html#issue_win10_mingw_opencv_cap_dshow", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win10-mingw-w64.html#install_win10_mingw_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 11 with Visual C++ 2022 (vc17)", "tutorial-install-win11-msvc17.html", [
          [ "Install prerequisites", "tutorial-install-win11-msvc17.html#install_win11_msvc17_required", [
            [ "Visual Studio", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rd_msvc", null ],
            [ "CMake", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rd_cmake", null ],
            [ "Git", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win11-msvc17.html#install_win11_msvc17_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win11-msvc17.html#install_win11_msvc17_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win11-msvc17.html#install_win11_msvc17_advanced", [
            [ "Install 3rd parties", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rdparty", [
              [ "OpenCV 3rd party", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rdparty_opencv", null ],
              [ "Eigen3 3rd party", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rdparty_eigen", null ],
              [ "librealsense 3rd party", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rdparty_realsense", null ],
              [ "JSON 3rd party", "tutorial-install-win11-msvc17.html#install_win11_msvc17_3rdparty_json", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win11-msvc17.html#install_win11_msvc17_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win11-msvc17.html#install_win11_msvc17_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win11-msvc17.html#install_win11_msvc17_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win11-msvc17.html#install_win11_msvc17_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win11-msvc17.html#install_win11_msvc17_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win11-msvc17.html#install_win11_msvc17_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win11-msvc17.html#install_win11_msvc17_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win11-msvc17.html#install_win11_msvc17_tips_3rd_party", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win11-msvc17.html#install_win11_msvc17_next", null ]
        ] ],
        [ "Tutorial: Installation from source for Windows 11 with MinGW-w64", "tutorial-install-win11-mingw-w64.html", [
          [ "Install prerequisites", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_required", [
            [ "MinGW-W64", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_required_mingw", null ],
            [ "CMake", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_3rd_cmake", null ],
            [ "Git", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_advanced", [
            [ "Install 3rd parties", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_3rdparty", [
              [ "Eigen3 3rd party", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_3rdparty_eigen", null ],
              [ "OpenCV 3rd party", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_3rdparty_opencv", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_config", null ],
            [ "Build and install ViSP libraries", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_build", null ],
            [ "Build ViSP documentation", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_build_visp_doc", null ],
            [ "Set Path environment var", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_env_var", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_visp_dir", null ]
          ] ],
          [ "Install ViSP data set", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_dataset", null ],
          [ "Tips and tricks", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips_new_3rdparty", null ],
            [ "How to uninstall ViSP", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips_module_once", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_tips_3rd_party", null ]
          ] ],
          [ "Known issues", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw", [
            [ "gcc: error: long: No such file or directory", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_allocator", null ],
            [ "OpenCL D3D11 build failure", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_opencl_d3d11", null ],
            [ "OpenCV endianness failure during CMake configuration", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_endianness", null ],
            [ "OpenCV build error: cannot build with tiff support", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_tiff", null ],
            [ "OpenCV link error: cannot find -lRunTmChk", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_ipp", null ],
            [ "OpenCV build error: struct has virtual functions and accessible non-virtual destructor", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_dtor", null ],
            [ "OpenCV not detected with Mingw build", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_not_detected", null ],
            [ "windres.exe invalid option –W", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_precompiled_headers", null ],
            [ "Build error in cap_dshow.cpp", "tutorial-install-win11-mingw-w64.html#issue_win11_mingw_opencv_cap_dshow", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-win11-mingw-w64.html#install_win11_mingw_next", null ]
        ] ],
        [ "Tutorial: Installation from source for macOS with Homebrew", "tutorial-install-osx-homebrew.html", [
          [ "Install prerequisites", "tutorial-install-osx-homebrew.html#install_brew_required", null ],
          [ "Create a workspace", "tutorial-install-osx-homebrew.html#install_brew_ws", null ],
          [ "Quick ViSP installation", "tutorial-install-osx-homebrew.html#install_brew_quick", null ],
          [ "Advanced ViSP installation", "tutorial-install-osx-homebrew.html#install_brew_advanced", [
            [ "Install 3rd parties", "tutorial-install-osx-homebrew.html#install_brew_3rdparty", [
              [ "Recommended 3rd parties", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_recommended", null ],
              [ "librealsense 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_realsense", null ],
              [ "Pylon 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_pylon", null ],
              [ "GSL 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_gsl", null ],
              [ "libStructure 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_occipital_structure", null ],
              [ "Qualisys Mocap 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_qualisys", null ],
              [ "Vicon Mocap 3rd party", "tutorial-install-osx-homebrew.html#install_brew_3rdparty_vicon", null ]
            ] ],
            [ "Get ViSP source code", "tutorial-install-osx-homebrew.html#install_brew_get_source", null ],
            [ "Configure ViSP from source", "tutorial-install-osx-homebrew.html#install_brew_config", null ],
            [ "Build ViSP libraries", "tutorial-install-osx-homebrew.html#install_brew_build", null ],
            [ "Build ViSP documentation", "tutorial-install-osx-homebrew.html#install_brew_visp_doc", null ],
            [ "Set VISP_DIR environment var", "tutorial-install-osx-homebrew.html#install_brew_visp_dir", null ]
          ] ],
          [ "Install ViSP dataset", "tutorial-install-osx-homebrew.html#install_brew_dataset", null ],
          [ "Tips and tricks", "tutorial-install-osx-homebrew.html#install_brew_tips", [
            [ "How to take into account a newly installed 3rd party", "tutorial-install-osx-homebrew.html#install_brew_tips_new_3rdparty", null ],
            [ "How to install ViSP", "tutorial-install-osx-homebrew.html#install_brew_tips_install", null ],
            [ "How to uninstall ViSP", "tutorial-install-osx-homebrew.html#install_brew_tips_uninstall", null ],
            [ "How to build only ViSP libraries", "tutorial-install-osx-homebrew.html#install_brew_tips_modules", null ],
            [ "How to build a ViSP specific module", "tutorial-install-osx-homebrew.html#install_brew_tips_module_once", null ],
            [ "Which are the targets that could be run with make ?", "tutorial-install-osx-homebrew.html#install_brew_tips_target", null ],
            [ "Which are the 3rd party libraries that are used in ViSP ?", "tutorial-install-osx-homebrew.html#install_brew_tips_3rd_party", null ]
          ] ],
          [ "Known issues", "tutorial-install-osx-homebrew.html#install_brew_issues", [
            [ "Unable to build with pcl 1.12.1", "tutorial-install-osx-homebrew.html#install_brew_issues_pcl_1_12_1", null ],
            [ "CMake Error in /usr/local/share/pcl-1.9/PCLConfig.cmake", "tutorial-install-osx-homebrew.html#install_brew_issues_pcl", null ],
            [ "/usr/local/lib/pkgconfig is not writable", "tutorial-install-osx-homebrew.html#install_brew_issues_opencv3", null ],
            [ "Application built with libpng-1.5.18 but running with 1.6.17", "tutorial-install-osx-homebrew.html#install_brew_issues_libpng", null ],
            [ "Importing the multiarray numpy extension module failed", "tutorial-install-osx-homebrew.html#install_brew_issues_numpy", null ],
            [ "dyld: Library not loaded: /usr/local/opt/glog/lib/libglog.0.3.5.dylib", "tutorial-install-osx-homebrew.html#install_brew_known_issues_glog", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-osx-homebrew.html#install_brew_next", null ]
        ] ]
      ] ],
      [ "Installation from packages", "tutorial_install_pkg.html", [
        [ "Tutorial: Installation from prebuilt packages for Linux Ubuntu/Debian", "tutorial-install-ubuntu-package.html", [
          [ "ViSP official packages", "tutorial-install-ubuntu-package.html#install_ubuntu_package_list", null ],
          [ "Next tutorial", "tutorial-install-ubuntu-package.html#install_ubuntu_package_next", null ]
        ] ],
        [ "Tutorial: Installation from prebuilt packages for Arch Linux", "tutorial-install-archlinux-package.html", [
          [ "ViSP official package", "tutorial-install-archlinux-package.html#install_archlinux_package_list", null ],
          [ "Next tutorial", "tutorial-install-archlinux-package.html#install_archlinux_package_next", null ]
        ] ],
        [ "Tutorial: Installation from prebuilt packages for OSX with Homebrew", "tutorial-install-osx-homebrew-package.html", [
          [ "Install prerequisites", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_required", null ],
          [ "Install ViSP with homebrew", "tutorial-install-osx-homebrew-package.html#install_osx_brew_visp", null ],
          [ "Tips and tricks", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_tips", [
            [ "How to install visp from source", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_build_from_source", null ],
            [ "How to uninstall visp formula", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_uninstall", null ],
            [ "/usr/local/include/visp is not writable", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_not_writable", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-osx-homebrew-package.html#install_osx_brew_package_next", null ]
        ] ]
      ] ],
      [ "Installation from cross-compiling", "tutorial_install_crosscompiling.html", [
        [ "Tutorial: Cross-compilation for Raspberry Pi from Ubuntu host", "tutorial-install-crosscompiling-raspberry.html", [
          [ "Setting up Raspberry Pi target", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_setup", null ],
          [ "Setting up Ubuntu host computer", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_host", [
            [ "Install Raspberry official toochain", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_host_toolchain", null ],
            [ "Install Raspberry Pi sysroot", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_host_rsync", null ],
            [ "Get ViSP source code", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_visp_src", null ],
            [ "Cross-compiling ViSP from source", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_visp_config", null ],
            [ "Using ViSP cross-compilation result on Raspberry", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_visp_usage", null ]
          ] ],
          [ "Tips and tricks", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips", [
            [ "How to use an other toochain", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_howto_other_toolchain", null ],
            [ "How to use an other rootfs location", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_howto_other_rootfs", null ],
            [ "Linker cannot find libpthread.so", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_libpthread", null ],
            [ "Linker cannot find libc.so", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_libc", null ],
            [ "No rule to make target libpng.so", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_libpng", null ],
            [ "Undefined reference to __throw_out_of_range_fmt", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_gcc_4_9", null ],
            [ "CMake 2.8.12 or greater requested", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_cmake_version", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-crosscompiling-raspberry.html#cross_raspberry_next", null ]
        ] ],
        [ "Tutorial: Cross-compilation for NAOqi OS from Ubuntu host", "tutorial-install-crosscompiling-naoqi.html", [
          [ "Install cross toolchain", "tutorial-install-crosscompiling-naoqi.html#cross_naoqi_toolchain", null ],
          [ "Get ViSP source code", "tutorial-install-crosscompiling-naoqi.html#cross_naoqi_visp_src", null ],
          [ "Cross-compiling ViSP from source", "tutorial-install-crosscompiling-naoqi.html#cross_naoqi_visp_config", null ],
          [ "Install ViSP on NAOqi OS", "tutorial-install-crosscompiling-naoqi.html#cross_naoqi_visp_install", null ],
          [ "Next tutorial", "tutorial-install-crosscompiling-naoqi.html#cross_naoqi_next", null ]
        ] ],
        [ "Tutorial: Cross-compilation for UWP from Windows host with Visual C++ 2015 (vc14)", "tutorial-install-win10-msvc14-uwp.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc14-uwp.html#tutorial_install_msvc14_uwp_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_ws", null ],
          [ "Get ViSP source code", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_get_visp_source", null ],
          [ "Build ViSP", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_without_opencv", [
            [ "Build for Windows Store 10.0", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_10", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_10_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_10_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_10_arm", null ]
            ] ],
            [ "Build for Windows Store 8.1", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_8_1", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_8_1_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_8_1_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_ws_8_1_arm", null ]
            ] ],
            [ "Build for Windows Phone 8.1", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_wp_8_1", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_wp_8_1_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_wp_8_1_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_build_wp_8_1_arm", null ]
            ] ]
          ] ],
          [ "Tips and tricks", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_tips", [
            [ "How to add Universal Windows App Development Tools support", "tutorial-install-win10-msvc14-uwp.html#install_msvc14_uwp_tips_msvc", null ]
          ] ]
        ] ],
        [ "Tutorial: Cross-compilation for UWP from Windows host with Visual C++ 2017 (vc15)", "tutorial-install-win10-msvc15-uwp.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc15-uwp.html#tutorial_install_msvc15_uwp_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_ws", null ],
          [ "Get ViSP source code", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_get_visp_source", null ],
          [ "Build ViSP", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_build_without_opencv", [
            [ "Build for Windows Store 10.0", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_build_ws_10", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_build_ws_10_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_build_ws_10_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_build_ws_10_arm", null ]
            ] ]
          ] ],
          [ "Tips and tricks", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_tips", [
            [ "How to add Universal Windows App Development Tools support", "tutorial-install-win10-msvc15-uwp.html#install_msvc15_uwp_tips_msvc", null ]
          ] ]
        ] ],
        [ "Tutorial: Cross-compilation for UWP from Windows host with Visual C++ 2019 (vc16)", "tutorial-install-win10-msvc16-uwp.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc16-uwp.html#tutorial_install_msvc16_uwp_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_ws", null ],
          [ "Get ViSP source code", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_get_visp_source", null ],
          [ "Build ViSP", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_build_without_opencv", [
            [ "Build for Windows Store 10.0", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_build_ws_10", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_build_ws_10_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_build_ws_10_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_build_ws_10_arm", null ]
            ] ]
          ] ],
          [ "Tips and tricks", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_tips", [
            [ "How to add Universal Windows App Development Tools support", "tutorial-install-win10-msvc16-uwp.html#install_msvc16_uwp_tips_msvc", null ]
          ] ]
        ] ],
        [ "Tutorial: Cross-compilation for UWP from Windows host with Visual C++ 2022 (vc17)", "tutorial-install-win10-msvc17-uwp.html", [
          [ "Install prerequisites", "tutorial-install-win10-msvc17-uwp.html#tutorial_install_msvc17_uwp_required", [
            [ "Visual Studio", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_msvc", null ],
            [ "CMake", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_3rd_cmake", null ],
            [ "Git", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_3rd_git", null ]
          ] ],
          [ "Create a workspace", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_ws", null ],
          [ "Get ViSP source code", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_get_visp_source", null ],
          [ "Build ViSP", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_build_without_opencv", [
            [ "Build for Windows Store 10.0", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_build_ws_10", [
              [ "Targeting a x86 platform", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_build_ws_10_x86", null ],
              [ "Targeting a x64 platform", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_build_ws_10_x64", null ],
              [ "Targeting an ARM platform", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_build_ws_10_arm", null ]
            ] ]
          ] ],
          [ "Tips and tricks", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_tips", [
            [ "How to add Universal Windows App Development Tools support", "tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_tips_msvc", null ]
          ] ]
        ] ]
      ] ],
      [ "Installation from Docker images", "tutorial_install_docker.html", [
        [ "Tutorial: Installation from Docker images", "tutorial-install-docker.html", [
          [ "Introduction", "tutorial-install-docker.html#install_docker_intro", null ],
          [ "Install Docker Engine", "tutorial-install-docker.html#install_docker_engine", [
            [ "On Ubuntu host", "tutorial-install-docker.html#install_docker_engine_ubuntu", null ],
            [ "On MacOS host", "tutorial-install-docker.html#install_docker_engine_mac", null ]
          ] ],
          [ "Install Docker ViSP images", "tutorial-install-docker.html#install_docker_visp", [
            [ "Ubuntu 18.04 image", "tutorial-install-docker.html#install_docker_visp_ubuntu_18_04", null ],
            [ "Ubuntu 20.04 image", "tutorial-install-docker.html#install_docker_visp_ubuntu_20_04", null ]
          ] ],
          [ "Run Docker ViSP images", "tutorial-install-docker.html#install_docker_run", [
            [ "On Ubuntu host", "tutorial-install-docker.html#install_docker_run_ubuntu", null ],
            [ "On MacOS host", "tutorial-install-docker.html#install_docker_run_mac", null ]
          ] ],
          [ "Next tutorial", "tutorial-install-docker.html#install_docker_next", null ]
        ] ]
      ] ]
    ] ],
    [ "Tutorials", "tutorial_users.html", [
      [ "Getting started", "tutorial_started.html", [
        [ "Tutorial: How to create and build a project that uses ViSP and CMake on Unix or Windows", "tutorial-getting-started.html", [
          [ "Quick getting started", "tutorial-getting-started.html#started_quick", [
            [ "On unix-like operating system", "tutorial-getting-started.html#started_quick_unix", null ],
            [ "On windows operating system", "tutorial-getting-started.html#started_quick_win", null ]
          ] ],
          [ "Advanced getting started", "tutorial-getting-started.html#started_advanced", [
            [ "Create a workspace", "tutorial-getting-started.html#started_ws", null ],
            [ "Get tutorial-viewer.cpp file", "tutorial-getting-started.html#image_code", null ],
            [ "Get CMakeLists.txt file", "tutorial-getting-started.html#image_cmake", null ],
            [ "Get monkey.ppm file", "tutorial-getting-started.html#image_monkey", null ],
            [ "On unix-like operating system", "tutorial-getting-started.html#image_unix", [
              [ "Create a build folder", "tutorial-getting-started.html#image_unix_build_folder", null ],
              [ "Configure your project", "tutorial-getting-started.html#image_unix_config", null ],
              [ "Generate the executable", "tutorial-getting-started.html#image_unix_build", null ],
              [ "Run the executable", "tutorial-getting-started.html#image_unix_output", null ]
            ] ],
            [ "On windows operating system", "tutorial-getting-started.html#image_win", [
              [ "Create a build folder", "tutorial-getting-started.html#image_win_build_folder", null ],
              [ "Configure your project", "tutorial-getting-started.html#image_win_config", null ],
              [ "Generate the executable", "tutorial-getting-started.html#image_win_build", null ],
              [ "Run the executable", "tutorial-getting-started.html#image_win_output", null ]
            ] ]
          ] ],
          [ "Next tutorial", "tutorial-getting-started.html#image_next", null ]
        ] ],
        [ "Tutorial: How to create and build a project that uses ViSP without CMake", "tutorial-getting-started-makefile.html", [
          [ "Using a classical Makefile", "tutorial-getting-started-makefile.html#started_makefile", [
            [ "Using pkg_config", "tutorial-getting-started-makefile.html#started_makefile_pkg_config", null ],
            [ "Using visp-config", "tutorial-getting-started-makefile.html#started_makefile_visp_config", null ]
          ] ],
          [ "Next tutorial", "tutorial-getting-started-makefile.html#started_makefile_next", null ]
        ] ],
        [ "Tutorial: How to create an application that uses ViSP on NAOqi OS", "tutorial-getting-started-naoqi.html", [
          [ "Create a workspace for your project", "tutorial-getting-started-naoqi.html#started_naoqi_code", null ],
          [ "Cross-build your project", "tutorial-getting-started-naoqi.html#started_naoqi_build", null ],
          [ "Install the binaries on NAOqi", "tutorial-getting-started-naoqi.html#started_naoqi_install", null ],
          [ "Next tutorial", "tutorial-getting-started-naoqi.html#naoqi_image_next", null ]
        ] ],
        [ "Tutorial: How to import a CMake project that uses ViSP in Eclipse IDE", "tutorial-import-visp-into-EclipseIDE.html", [
          [ "Adjust Eclipse settings", "tutorial-import-visp-into-EclipseIDE.html#image_adjust_eclipse", null ],
          [ "Unresolved inclusion", "tutorial-import-visp-into-EclipseIDE.html#image_unresolved_inclusion", null ],
          [ "Program arguments", "tutorial-import-visp-into-EclipseIDE.html#image_eclipse_arguments", null ],
          [ "Next tutorial", "tutorial-import-visp-into-EclipseIDE.html#eclipse_image_next", null ]
        ] ]
      ] ],
      [ "Linear algebra operations", "tutorial_linear_algebra.html", [
        [ "Tutorial: Basic linear algebra operations", "tutorial-basic-linear-algebra.html", [
          [ "Introduction", "tutorial-basic-linear-algebra.html#linear-algebra-into", null ],
          [ "Which BLAS/LAPACK 3rd-party for basic operations", "tutorial-basic-linear-algebra.html#linear-algebra-which", [
            [ "Benchmarking BLAS/LAPACK 3rd-party", "tutorial-basic-linear-algebra.html#linear-algebra-bench", null ],
            [ "BLAS/LAPACK performance comparison", "tutorial-basic-linear-algebra.html#linear-algebra-compar", null ]
          ] ],
          [ "Next tutorial", "tutorial-basic-linear-algebra.html#linear-algebra-next", null ]
        ] ]
      ] ],
      [ "Image manipulation", "tutorial_image.html", [
        [ "Tutorial: How to display an image in a window", "tutorial-image-display.html", [
          [ "Introduction", "tutorial-image-display.html#image_display_intro", null ],
          [ "Create and display an image in a window", "tutorial-image-display.html#image_display_default", null ],
          [ "Display an image that is larger than the screen resolution", "tutorial-image-display.html#image_display_scaled", [
            [ "Setting a manual down scaling factor", "tutorial-image-display.html#image_display_scaled_manu", null ],
            [ "Setting an auto down scaling factor", "tutorial-image-display.html#image_display_scaled_auto", null ]
          ] ],
          [ "Next tutorial", "tutorial-image-display.html#image_display_next", null ]
        ] ],
        [ "Tutorial: How to display an image and basic drawings in a window", "tutorial-image-display-overlay.html", [
          [ "Introduction", "tutorial-image-display-overlay.html#display_overlay_intro", null ],
          [ "Load and display an image", "tutorial-image-display-overlay.html#display_overlay_default", null ],
          [ "Display basic drawings in window overlay", "tutorial-image-display-overlay.html#display_overlay_draw", [
            [ "Display a point in overlay", "tutorial-image-display-overlay.html#display_overlay_point", null ],
            [ "Display a line between 2 points in overlay", "tutorial-image-display-overlay.html#display_overlay_line", null ],
            [ "Display a circle in overlay", "tutorial-image-display-overlay.html#display_overlay_circle", null ],
            [ "Display a rectangle in overlay", "tutorial-image-display-overlay.html#display_overlay_rectangle", null ],
            [ "Display a cross in overlay", "tutorial-image-display-overlay.html#display_overlay_cross", null ],
            [ "Display text in window overlay", "tutorial-image-display-overlay.html#display_overlay_text", null ]
          ] ],
          [ "Export and save the content of a window as an image", "tutorial-image-display-overlay.html#display_overlay_export", null ],
          [ "Handle keyboard events in a window", "tutorial-image-display-overlay.html#display_overlay_event_keyboard", null ],
          [ "Next tutorial", "tutorial-image-display-overlay.html#display_overlay_next", null ]
        ] ],
        [ "Tutorial: How to modify an image to insert basic drawings", "tutorial-basic-drawings.html", [
          [ "Introduction", "tutorial-basic-drawings.html#basic_drawings_intro", null ],
          [ "Modify an image with basic drawings", "tutorial-basic-drawings.html#basic_drawings_draw", [
            [ "Draw a point in an image", "tutorial-basic-drawings.html#basic_drawings_point", null ],
            [ "Draw a line between 2 points", "tutorial-basic-drawings.html#line", null ],
            [ "Draw a circle", "tutorial-basic-drawings.html#circle", null ],
            [ "Draw a rectangle", "tutorial-basic-drawings.html#rectangle", null ],
            [ "Draw a cross", "tutorial-basic-drawings.html#cross", null ],
            [ "Insert text in an image", "tutorial-basic-drawings.html#basic_drawings_adding_text", null ]
          ] ],
          [ "Next tutorial", "tutorial-basic-drawings.html#basic_drawings_next", null ]
        ] ],
        [ "Tutorial: Image frame grabbing", "tutorial-grabber.html", [
          [ "Introduction", "tutorial-grabber.html#grabber-into", null ],
          [ "Frame grabbing using FlyCapture SDK", "tutorial-grabber.html#grabber-camera-flycap", [
            [ "Source code explained", "tutorial-grabber.html#grabber-camera-flycap-src", null ],
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-flycap-use", null ]
          ] ],
          [ "Frame grabbing using libdc1394 SDK", "tutorial-grabber.html#grabber-camera-dc1394", [
            [ "Source code explained", "tutorial-grabber.html#grabber-camera-dc1394-src", null ],
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-dc1394-use", null ]
          ] ],
          [ "Frame grabbing using libv4l2 SDK", "tutorial-grabber.html#grabber-camera-v4l2", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-v4l2-use", null ]
          ] ],
          [ "Frame grabbing using Pylon SDK", "tutorial-grabber.html#grabber-camera-pylon", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-pylon-use", null ]
          ] ],
          [ "Frame grabbing using Realsense SDK", "tutorial-grabber.html#grabber-camera-realsense", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-realsense-use", null ],
            [ "How to acquire images from 2 Realsense devices", "tutorial-grabber.html#tutorial-grabber-multiple-realsense-use", null ]
          ] ],
          [ "Frame grabbing using Occipital Structure SDK", "tutorial-grabber.html#grabber-camera-structure", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-structure-use", null ]
          ] ],
          [ "RGBD frame grabbing from RealSense D435 and Structure Core", "tutorial-grabber.html#grabber-rgbd-D435-structurecore", null ],
          [ "Frame grabbing using OpenCV", "tutorial-grabber.html#grabber-camera-opencv", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-camera-opencv-use", null ]
          ] ],
          [ "Frame grabbing using CMU1394 SDK", "tutorial-grabber.html#grabber-camera-cmu1394", null ],
          [ "Frame grabbing using Parrot Bebop 2 drone", "tutorial-grabber.html#grabber-bebop2", [
            [ "How to acquire images", "tutorial-grabber.html#grabber-bebop2-use", null ]
          ] ],
          [ "Images from a video stream", "tutorial-grabber.html#grabber-video-stream", [
            [ "Source code explained", "tutorial-grabber.html#grabber-video-stream-src", null ],
            [ "How to acquire images", "tutorial-grabber.html#grabber-video-stream-use", null ]
          ] ],
          [ "Next tutorial", "tutorial-grabber.html#grabber-next", null ]
        ] ],
        [ "Tutorial: Image filtering", "tutorial-image-filtering.html", [
          [ "Introduction", "tutorial-image-filtering.html#intro_img_filtering", null ],
          [ "Gaussian blur", "tutorial-image-filtering.html#blur", null ],
          [ "Gradients computation", "tutorial-image-filtering.html#gradient", null ],
          [ "Canny edge detector", "tutorial-image-filtering.html#canny", null ],
          [ "Convolution", "tutorial-image-filtering.html#convolution", null ],
          [ "Gaussian image pyramid", "tutorial-image-filtering.html#pyramid", null ],
          [ "Next tutorial", "tutorial-image-filtering.html#img_filtering_next", null ]
        ] ],
        [ "Tutorial: Planar image projection", "tutorial-simu-image.html", [
          [ "Introduction", "tutorial-simu-image.html#simu_image_intro", null ],
          [ "Image projection", "tutorial-simu-image.html#simu_image_projection", null ]
        ] ],
        [ "Tutorial: How to manipulate a video or a sequence of images", "tutorial-video-manipulation.html", [
          [ "Introduction", "tutorial-video-manipulation.html#img_manip_seq_intro", null ],
          [ "Prerequisites", "tutorial-video-manipulation.html#img_manip_seq_prereq", [
            [ "Sequence of images acquisition reminder", "tutorial-video-manipulation.html#img_manip_seq_create", null ]
          ] ],
          [ "Video or image sequence manipulation", "tutorial-video-manipulation.html#img_manip_seq_main", [
            [ "Visualization", "tutorial-video-manipulation.html#img_manip_seq_show", null ],
            [ "Renaming and/or image format conversion", "tutorial-video-manipulation.html#img_manip_seq_convert", null ],
            [ "Images extraction from a video", "tutorial-video-manipulation.html#img_manip_seq_extract", null ],
            [ "Images selection to create a new video or sequence", "tutorial-video-manipulation.html#img_manip_seq_select", null ]
          ] ],
          [ "Next tutorial", "tutorial-video-manipulation.html#img_manip_seq_next", null ]
        ] ]
      ] ],
      [ "Image processing", "tutorial_imgproc.html", [
        [ "Tutorial: Brightness and contrast adjustment", "tutorial-imgproc-brightness.html", [
          [ "Introduction", "tutorial-imgproc-brightness.html#imgproc_brightness_intro", null ],
          [ "Brightness and contrast adjustment", "tutorial-imgproc-brightness.html#imgproc_brightness_adjust", null ],
          [ "Gamma correction", "tutorial-imgproc-brightness.html#imgproc_brightness_gamma_correction", null ],
          [ "Histogram equalization", "tutorial-imgproc-brightness.html#imgproc_brightness_histogram_equalization", null ],
          [ "Retinex", "tutorial-imgproc-brightness.html#imgproc_brightness_retinex", null ],
          [ "Next tutorial", "tutorial-imgproc-brightness.html#imgproc_brightness_next", null ]
        ] ],
        [ "Tutorial: Contrast and image sharpening techniques", "tutorial-imgproc-contrast-sharpening.html", [
          [ "Introduction", "tutorial-imgproc-contrast-sharpening.html#imgproc_contrast_sharpening_intro", null ],
          [ "Example code", "tutorial-imgproc-contrast-sharpening.html#imgproc_contrast_sharpening_example", null ],
          [ "Next tutorial", "tutorial-imgproc-contrast-sharpening.html#imgproc_contrast_sharpening_next", null ]
        ] ],
        [ "Tutorial: Automatic thresholding", "tutorial-imgproc-autothreshold.html", [
          [ "Introduction", "tutorial-imgproc-autothreshold.html#imgproc_autothreshold_intro", null ],
          [ "Example code", "tutorial-imgproc-autothreshold.html#imgproc_autothreshold_example", null ],
          [ "Next tutorial", "tutorial-imgproc-autothreshold.html#imgproc_autothreshold_next", null ]
        ] ],
        [ "Tutorial: Contours extraction from a binary image", "tutorial-imgproc-contour.html", [
          [ "Introduction", "tutorial-imgproc-contour.html#imgproc_contour_intro", null ],
          [ "Example code", "tutorial-imgproc-contour.html#imgproc_contour_example", null ],
          [ "Next tutorial", "tutorial-imgproc-contour.html#imgproc_contour_next", null ]
        ] ],
        [ "Tutorial: Connected-components labeling", "tutorial-imgproc-connected-components.html", [
          [ "Introduction", "tutorial-imgproc-connected-components.html#imgproc_connected_components_intro", null ],
          [ "Example code", "tutorial-imgproc-connected-components.html#imgproc_connected_components_example", null ],
          [ "Next tutorial", "tutorial-imgproc-connected-components.html#imgproc_connected_components_next", null ]
        ] ],
        [ "Tutorial: Flood fill algorithm", "tutorial-imgproc-flood-fill.html", [
          [ "Introduction", "tutorial-imgproc-flood-fill.html#imgproc_flood_fill_intro", null ],
          [ "Example code", "tutorial-imgproc-flood-fill.html#imgproc_flood_fill_example", null ],
          [ "Next tutorial", "tutorial-imgproc-flood-fill.html#imgproc_flood_fill_next", null ]
        ] ],
        [ "Practical example: count the number of coins in an image", "tutorial-imgproc-count-coins.html", [
          [ "Introduction", "tutorial-imgproc-count-coins.html#imgproc_count_coins_intro", null ],
          [ "Example code", "tutorial-imgproc-count-coins.html#imgproc_count_coins_example", null ]
        ] ],
        [ "Tutorial: Gradient-based Circle Hough Transform", "tutorial-imgproc-cht.html", [
          [ "Introduction", "tutorial-imgproc-cht.html#imgproc_cht_intro", null ],
          [ "Requirements", "tutorial-imgproc-cht.html#imgproc_cht_requirements", null ],
          [ "How to use the tutorial", "tutorial-imgproc-cht.html#imgproc_cht_howto", [
            [ "How to use synthetic images", "tutorial-imgproc-cht.html#imgproc_cht_howto_synthetic", null ],
            [ "How to use actual images", "tutorial-imgproc-cht.html#imgproc_cht_howto_images", null ],
            [ "How to use a video", "tutorial-imgproc-cht.html#imgproc_cht_howto_video", null ]
          ] ],
          [ "Detailed explanations about the tutorial", "tutorial-imgproc-cht.html#imgproc_cht_explanations", null ]
        ] ]
      ] ],
      [ "Camera calibration", "tutorial_calib.html", [
        [ "Tutorial: Camera intrinsic calibration", "tutorial-calibration-intrinsic.html", [
          [ "Introduction", "tutorial-calibration-intrinsic.html#calibration_intro", null ],
          [ "Recommendations", "tutorial-calibration-intrinsic.html#calibration_recommendation", null ],
          [ "Prerequisites", "tutorial-calibration-intrinsic.html#calibration_prereq", null ],
          [ "Calibration", "tutorial-calibration-intrinsic.html#calibration", [
            [ "Source code", "tutorial-calibration-intrinsic.html#calibration_source_code", null ],
            [ "With a chessboard", "tutorial-calibration-intrinsic.html#calibration_chessboard", null ],
            [ "With a circles grid", "tutorial-calibration-intrinsic.html#calibration_circle", null ],
            [ "Analysis tools", "tutorial-calibration-intrinsic.html#calibration_tools", [
              [ "Grid patterns", "tutorial-calibration-intrinsic.html#calibration_tools_patterns", null ],
              [ "Reprojection error", "tutorial-calibration-intrinsic.html#calibration_tools_repro_error", null ],
              [ "Line fitting", "tutorial-calibration-intrinsic.html#calibration_tools_line_fit", null ],
              [ "Camera poses", "tutorial-calibration-intrinsic.html#calibration_tools_poses", null ]
            ] ],
            [ "How to get over calibration error", "tutorial-calibration-intrinsic.html#calibration_init", null ]
          ] ],
          [ "Distortion removal", "tutorial-calibration-intrinsic.html#calibration_undistort", [
            [ "Undistort a single image", "tutorial-calibration-intrinsic.html#calibration_undistort_single", null ],
            [ "Undistort a sequence of images", "tutorial-calibration-intrinsic.html#calibration_undistort_multi", null ]
          ] ],
          [ "Next tutorial", "tutorial-calibration-intrinsic.html#calibration_next", null ]
        ] ],
        [ "Tutorial: Camera extrinsic calibration", "tutorial-calibration-extrinsic.html", [
          [ "Introduction", "tutorial-calibration-extrinsic.html#calib_ext_intro", null ],
          [ "Recommendations", "tutorial-calibration-extrinsic.html#calib_ext_recommendation", null ],
          [ "Prerequisites", "tutorial-calibration-extrinsic.html#calib_ext_prereq", [
            [ "Get camera intrinsic parameters", "tutorial-calibration-extrinsic.html#calib_ext_intrinsic", null ],
            [ "Print a chessboard", "tutorial-calibration-extrinsic.html#calib_ext_chessboard", null ]
          ] ],
          [ "Calibrate extrinsic", "tutorial-calibration-extrinsic.html#calib_ext_calib", [
            [ "Step 1: Acquire robot poses, images and intrinsics", "tutorial-calibration-extrinsic.html#calib_ext_acq_data", null ],
            [ "Step 2: Compute camera poses from corresponding images", "tutorial-calibration-extrinsic.html#calib_ext_camera_pose", null ],
            [ "Step 3: Estimate end-effector to camera transformation", "tutorial-calibration-extrinsic.html#calib_ext_tsai", null ]
          ] ],
          [ "Analysis tool", "tutorial-calibration-extrinsic.html#calib_ext_tool", [
            [ "Camera poses", "tutorial-calibration-extrinsic.html#calib_ext_tool_poses", null ]
          ] ],
          [ "Use cases", "tutorial-calibration-extrinsic.html#calib_ext_usecase", [
            [ "Panda robot + Realsense", "tutorial-calibration-extrinsic.html#calib_ext_usecase_franka", null ],
            [ "UR robot + Realsense", "tutorial-calibration-extrinsic.html#calib_ext_usecase_ur", null ]
          ] ],
          [ "Next tutorial", "tutorial-calibration-extrinsic.html#calib_ext_next", null ]
        ] ]
      ] ],
      [ "Tracking", "tutorial_tracking.html", [
        [ "Tutorial: Blob tracking", "tutorial-tracking-blob.html", [
          [ "Introduction", "tutorial-tracking-blob.html#tracking_blob_intro", null ],
          [ "Blob tracking", "tutorial-tracking-blob.html#tracking_blob_tracking", [
            [ "From a firewire live camera", "tutorial-tracking-blob.html#live-firewire", null ],
            [ "From a v4l2 live camera", "tutorial-tracking-blob.html#live-v4l2", null ]
          ] ],
          [ "Blob auto detection and tracking", "tutorial-tracking-blob.html#tracking_blob_auto", null ],
          [ "Next tutorial", "tutorial-tracking-blob.html#tracking_blob_next", null ]
        ] ],
        [ "Tutorial: Keypoint tracking", "tutorial-tracking-keypoint.html", [
          [ "Introduction", "tutorial-tracking-keypoint.html#tracking_keypoint_intro", null ],
          [ "KLT tracker", "tutorial-tracking-keypoint.html#tracking_keypoint_klt", null ],
          [ "KLT tracker with re-initialisation", "tutorial-tracking-keypoint.html#tracking_keypoint_klt_init", null ],
          [ "Next tutorial", "tutorial-tracking-keypoint.html#tracking_keypoint_next", null ]
        ] ],
        [ "Tutorial: Moving-edges tracking", "tutorial-tracking-me.html", [
          [ "Introduction", "tutorial-tracking-me.html#tracking_me_intro", null ],
          [ "Line tracking", "tutorial-tracking-me.html#tracking_me_line", null ],
          [ "Ellipse tracking", "tutorial-tracking-me.html#tracking_me_ellipse", null ],
          [ "Next tutorial", "tutorial-tracking-me.html#tracking_me_next", null ]
        ] ],
        [ "Tutorial: Markerless generic model-based tracking using a color camera", "tutorial-tracking-mb-generic.html", [
          [ "Introduction", "tutorial-tracking-mb-generic.html#mb_generic_intro", [
            [ "Features overview", "tutorial-tracking-mb-generic.html#mb_generic_intro_features_overview", null ],
            [ "Considered third-parties", "tutorial-tracking-mb-generic.html#mb_generic_intro_3rd_parties", null ],
            [ "Input images data", "tutorial-tracking-mb-generic.html#mb_generic_input", null ]
          ] ],
          [ "Getting started", "tutorial-tracking-mb-generic.html#mb_generic_started", [
            [ "Example input/output data", "tutorial-tracking-mb-generic.html#mb_generic_started_input", null ],
            [ "Example source code", "tutorial-tracking-mb-generic.html#mb_generic_started_src", null ],
            [ "Running the example", "tutorial-tracking-mb-generic.html#mb_generic_started_exe", null ],
            [ "Source code explained", "tutorial-tracking-mb-generic.html#mb_generic_started_src_explained", null ]
          ] ],
          [ "Tracker CAD model", "tutorial-tracking-mb-generic.html#mb_generic_model", [
            [ "teabox.cao example", "tutorial-tracking-mb-generic.html#mb_generic_teabox_cao", null ],
            [ "teabox-triangle.cao example", "tutorial-tracking-mb-generic.html#mb_generic_teabox_cao_triangle", null ],
            [ "teabox.wrl example", "tutorial-tracking-mb-generic.html#mb_generic_teabox_vrml", null ]
          ] ],
          [ "Tracker initialization", "tutorial-tracking-mb-generic.html#mb_generic_init", [
            [ "Initialization by user click", "tutorial-tracking-mb-generic.html#mb_generic_init_user", null ],
            [ "Initialization by external pose", "tutorial-tracking-mb-generic.html#mb_generic_init_pose", null ]
          ] ],
          [ "Tracker settings", "tutorial-tracking-mb-generic.html#mb_generic_settings", [
            [ "Settings from an XML file", "tutorial-tracking-mb-generic.html#mb_generic_settings_xml", null ],
            [ "Moving-edges settings", "tutorial-tracking-mb-generic.html#mb_generic_settings_ecm", null ],
            [ "Keypoints settings", "tutorial-tracking-mb-generic.html#mb_generic_settings_klt", null ],
            [ "Camera settings", "tutorial-tracking-mb-generic.html#mb_generic_settings_cam", null ],
            [ "Visibility settings", "tutorial-tracking-mb-generic.html#mb_generic_settings_visibility", [
              [ "Default visibility based on normals", "tutorial-tracking-mb-generic.html#mb_generic_settings_visibility_default", null ],
              [ "Advanced visibility via Ogre3D", "tutorial-tracking-mb-generic.html#mb_generic_settings_visibility_ogre", null ],
              [ "Advanced visibility via Scanline Rendering", "tutorial-tracking-mb-generic.html#mb_generic_settings_visibility_scanline", null ]
            ] ],
            [ "Clipping settings", "tutorial-tracking-mb-generic.html#mb_generic_settings_clipping", null ]
          ] ],
          [ "Advanced", "tutorial-tracking-mb-generic.html#mb_generic_advanced", [
            [ "How to detect tracking failures", "tutorial-tracking-mb-generic.html#mb_generic_advanced_failure_detection", null ],
            [ "How to manipulate the model", "tutorial-tracking-mb-generic.html#mb_generic_advanced_model", null ],
            [ "Level of detail (LOD)", "tutorial-tracking-mb-generic.html#mb_generic_advanced_lod", null ],
            [ "CAD model in cao format", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao", [
              [ "How to model faces from lines", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_lin", null ],
              [ "How to model cylinders", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_cyl", null ],
              [ "How to model circles", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_cir", null ],
              [ "How to change cao model origin", "tutorial-tracking-mb-generic.html#mb_generic_advanced_origin", null ],
              [ "How to create a hierarchical model", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_hie", null ],
              [ "How to set a name to a face", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_nam", null ],
              [ "How to load cao model with transformation", "tutorial-tracking-mb-generic.html#mb_generic_advanced_transformation", null ],
              [ "How to tune the level of detail", "tutorial-tracking-mb-generic.html#mb_generic_advanced_cao_lod", null ]
            ] ],
            [ "CAD model in wrml format", "tutorial-tracking-mb-generic.html#mb_generic_advanced_wrml", [
              [ "How to set a name to a face", "tutorial-tracking-mb-generic.html#mb_generic_advanced_wrml_nam", null ]
            ] ],
            [ "How not to consider specific polygons", "tutorial-tracking-mb-generic.html#mb_generic_advanced_exclude", null ],
            [ "How to save tracking results without vpDisplay", "tutorial-tracking-mb-generic.html#mb_generic_advanced_display", null ],
            [ "How to set which degree of freedom to consider", "tutorial-tracking-mb-generic.html#mb_generic_advanced_dof", null ]
          ] ],
          [ "Use case", "tutorial-tracking-mb-generic.html#mb_generic_use_case", [
            [ "Test tracker on teabox model", "tutorial-tracking-mb-generic.html#mb_generic_use_case_teabox", null ],
            [ "Test tracker on CubeSAT satellite model", "tutorial-tracking-mb-generic.html#mb_generic_use_case_cubesat", null ],
            [ "Test tracker on mmicro model", "tutorial-tracking-mb-generic.html#mb_generic_use_case_mmicro", null ],
            [ "Test tracker on lego model with a live camera", "tutorial-tracking-mb-generic.html#mb_generic_use_case_lego_square", null ]
          ] ],
          [ "Known issues", "tutorial-tracking-mb-generic.html#mb_generic_known_issues", [
            [ "Model-based trackers examples are not working with Ogre visibility check", "tutorial-tracking-mb-generic.html#mb_generic_known_issues_example_with_ogre", null ],
            [ "Model-based trackers tutorials are not working with Ogre visibility check", "tutorial-tracking-mb-generic.html#mb_generic_known_issues_tutorial_with_ogre", null ]
          ] ],
          [ "Next tutorial", "tutorial-tracking-mb-generic.html#mb_generic_next", null ]
        ] ],
        [ "Tutorial: Markerless generic model-based tracking using a stereo camera", "tutorial-tracking-mb-generic-stereo.html", [
          [ "Introduction", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_intro", null ],
          [ "Getting started", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_started", [
            [ "Overview", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_overview", null ],
            [ "Implementation detail", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_implementation_detail", null ],
            [ "Example input/output data", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_started_input", null ],
            [ "Example code", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_example_code", null ],
            [ "Explanation of the code", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_explanation_of_the_code", null ]
          ] ],
          [ "Advanced", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_advanced", [
            [ "How to deal with moving cameras", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_moving_cameras", null ]
          ] ],
          [ "Next tutorial", "tutorial-tracking-mb-generic-stereo.html#mb_generic_stereo_next", null ]
        ] ],
        [ "Tutorial: Markerless generic model-based tracking using a RGB-D camera", "tutorial-tracking-mb-generic-rgbd.html", [
          [ "Introduction", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_intro", [
            [ "Features overview", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_intro_features_overview", null ],
            [ "Considered third-parties", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_intro_3rd_parties", null ],
            [ "Input data", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_input", null ]
          ] ],
          [ "Getting started", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_started", [
            [ "Implementation detail", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_implementation_detail", null ],
            [ "Declare a model-based tracker of the desired feature type", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_choose_features", null ],
            [ "Interfacing with the code", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_interface_with_the_code", null ]
          ] ],
          [ "Dataset use case", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_example", [
            [ "Cube tracking on a RGB-D dataset", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_example_code", null ],
            [ "Source code explained", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_explanation_of_the_code", null ]
          ] ],
          [ "Comparison between RGB-D cameras", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_comparison", null ],
          [ "Intel Realsense camera use case", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case", [
            [ "Tracking a 4.2 cm cube", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_cube", null ],
            [ "Tracking a teabox", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_teabox", null ],
            [ "Tracking a lego square", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_lego_Square", null ]
          ] ],
          [ "Occipital Structure Core camera use case", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_occipital", [
            [ "Tracking a 4.2 cm cube", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_occipital_cube", null ],
            [ "Tracking a teabox", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_occipital_teabox", null ],
            [ "Tracking a lego square", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_use_case_occipital_lego_Square", null ]
          ] ],
          [ "Next tutorial", "tutorial-tracking-mb-generic-rgbd.html#mb_rgbd_next", null ]
        ] ],
        [ "Tutorial: Markerless generic model-based tracking using AprilTag for initialization (use case)", "tutorial-tracking-mb-generic-apriltag-live.html", [
          [ "Introduction", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_intro", null ],
          [ "Getting started", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_started", [
            [ "Build your own cube", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_started_cube", null ],
            [ "Considered classes", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_started_classes", null ],
            [ "Considered third-parties", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_started_3rd_parties", null ],
            [ "Pseudo code", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_started_pseudo_code", null ]
          ] ],
          [ "Using an USB camera", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_webcam", [
            [ "Binary usage", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_webcam_usage", null ],
            [ "Expected results", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_webcam_result", null ]
          ] ],
          [ "Using an Intel Realsense camera", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_realsense", [
            [ "Binary usage", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_realsense_usage", null ],
            [ "Expected results", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_realsense_result", null ]
          ] ],
          [ "Conclusion", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_conclusion", null ],
          [ "Next tutorial", "tutorial-tracking-mb-generic-apriltag-live.html#mb_generic_apriltag_next", null ]
        ] ],
        [ "Tutorial: Loading a model-based generic tracker from JSON", "tutorial-mb-generic-json.html", [
          [ "Introduction", "tutorial-mb-generic-json.html#tutorial-mb-generic-json-intro", null ],
          [ "JSON file structure", "tutorial-mb-generic-json.html#tutorial-mb-generic-json-structure", [
            [ "Global tracker settings", "tutorial-mb-generic-json.html#json-global-tracker-settings", null ],
            [ "Individual camera tracker settings", "tutorial-mb-generic-json.html#json-per-tracker-settings", null ],
            [ "Tracker Feature settings", "tutorial-mb-generic-json.html#json-feature-settings", null ]
          ] ],
          [ "Example: Initializing a tracker from a JSON file", "tutorial-mb-generic-json.html#json-settings-usage", null ],
          [ "Next tutorial", "tutorial-mb-generic-json.html#json-settings-next", null ]
        ] ],
        [ "Tutorial: Markerless model-based tracking (deprecated)", "tutorial-tracking-mb-deprecated.html", [
          [ "Introduction", "tutorial-tracking-mb-deprecated.html#mbdep_intro", null ],
          [ "Getting started", "tutorial-tracking-mb-deprecated.html#mbdep_started", [
            [ "Example source code", "tutorial-tracking-mb-deprecated.html#mbdep_started_src", null ],
            [ "Example input data", "tutorial-tracking-mb-deprecated.html#mbdep_started_input", null ],
            [ "Running the example", "tutorial-tracking-mb-deprecated.html#mbdep_started_exe", null ],
            [ "Source code explained", "tutorial-tracking-mb-deprecated.html#mbdep_started_src_explained", null ]
          ] ],
          [ "Teabox CAD model", "tutorial-tracking-mb-deprecated.html#mbdep_model", [
            [ "teabox.cao example", "tutorial-tracking-mb-deprecated.html#mbdep_teabox_cao", null ],
            [ "teabox-triangle.cao example", "tutorial-tracking-mb-deprecated.html#mbdep_teabox_cao_triangle", null ],
            [ "teabox.wrl example", "tutorial-tracking-mb-deprecated.html#mbdep_teabox_vrml", null ]
          ] ],
          [ "Tracker settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings", [
            [ "Settings from an XML file", "tutorial-tracking-mb-deprecated.html#mbdep_settings_xml", null ],
            [ "Moving-edges settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings_ecm", null ],
            [ "Keypoints settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings_klt", null ],
            [ "Camera settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings_cam", null ],
            [ "Visibility settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings_visibility", [
              [ "Default visibility based on normals", "tutorial-tracking-mb-deprecated.html#mbdep_settings_visibility_default", null ],
              [ "Advanced visibility via Ogre3D", "tutorial-tracking-mb-deprecated.html#mbdep_settings_visibility_ogre", null ],
              [ "Advanced visibility via Scanline Rendering", "tutorial-tracking-mb-deprecated.html#mbdep_settings_visibility_scanline", null ]
            ] ],
            [ "Clipping settings", "tutorial-tracking-mb-deprecated.html#mbdep_settings_clipping", null ]
          ] ],
          [ "Advanced", "tutorial-tracking-mb-deprecated.html#mbdep_advanced", [
            [ "How to manipulate the model", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_model", null ],
            [ "Level of detail (LOD)", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_lod", null ],
            [ "CAD model in cao format", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao", [
              [ "How to model faces from lines", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_lin", null ],
              [ "How to model cylinders", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_cyl", null ],
              [ "How to model circles", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_cir", null ],
              [ "How to create a hierarchical model", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_hie", null ],
              [ "How to set a name to a face", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_nam", null ],
              [ "How to tune the level of detail", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_cao_lod", null ]
            ] ],
            [ "CAD model in wrml format", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_wrml", [
              [ "How to set a name to a face", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_wrml_nam", null ]
            ] ],
            [ "How not to consider specific polygons", "tutorial-tracking-mb-deprecated.html#mbdep_advanced_exclude", null ]
          ] ],
          [ "Use case", "tutorial-tracking-mb-deprecated.html#mbdep_use_case", [
            [ "CubeSAT satellite model", "tutorial-tracking-mb-deprecated.html#mbdep_use_case_cubesat", null ],
            [ "mmicro model", "tutorial-tracking-mb-deprecated.html#mbdep_use_case_mmicro", null ]
          ] ],
          [ "Known issues", "tutorial-tracking-mb-deprecated.html#mbdep_known_issues", [
            [ "Model-based trackers examples are not working with Ogre visibility ckeck", "tutorial-tracking-mb-deprecated.html#mbdep_known_issues_example_with_ogre", null ],
            [ "Model-based trackers tutorials are not working with Ogre visibility ckeck", "tutorial-tracking-mb-deprecated.html#mbdep_known_issues_tutorial_with_ogre", null ]
          ] ],
          [ "Next tutorial", "tutorial-tracking-mb-deprecated.html#mbdep_next", null ]
        ] ],
        [ "Tutorial: Markerless model-based tracker CAD model editor - GSoC 2017 project", "tutorial-tracking-mb-CAO-editor.html", [
          [ "Introduction", "tutorial-tracking-mb-CAO-editor.html#mb_GSoC_17_intro", null ],
          [ "ViSP CAO editor", "tutorial-tracking-mb-CAO-editor.html#mb_GSoC_17_cao_editor", null ],
          [ "Next tutorial", "tutorial-tracking-mb-CAO-editor.html#mb_GSoC_17_next", null ]
        ] ],
        [ "Tutorial: How to use Blender to generate simulated data for model-based tracking experiments", "tutorial-tracking-mb-generic-rgbd-Blender.html", [
          [ "Introduction", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_intro", null ],
          [ "Camera settings", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_camera_settings", null ],
          [ "Stereo camera", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_stereo_camera", null ],
          [ "Create a teabox", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_create_teabox", null ],
          [ "Create a camera trajectory", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_create_trajectory", null ],
          [ "Generate the images and the depth maps", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_generate_data", null ],
          [ "Retrieve the camera poses", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_get_camera_poses", null ],
          [ "Model-based tracker on simulated data", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_mbt", [
            [ "Source code", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_mbt_src", null ],
            [ "Usage on simulated data", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_mbt_run", null ]
          ] ],
          [ "Next tutorial", "tutorial-tracking-mb-generic-rgbd-Blender.html#mb_Blender_next", null ]
        ] ],
        [ "Tutorial: Template tracking", "tutorial-tracking-tt.html", [
          [ "Introduction", "tutorial-tracking-tt.html#tracking_tt_intro", null ],
          [ "Track the painting", "tutorial-tracking-tt.html#tracking_tt", [
            [ "Warping classes", "tutorial-tracking-tt.html#warp_tt", null ],
            [ "How to tune the tracker", "tutorial-tracking-tt.html#tune_tt", [
              [ "Example tuning MI tracker", "tutorial-tracking-tt.html#tuning_tt_mi", null ]
            ] ],
            [ "How to get the points of the template", "tutorial-tracking-tt.html#points_tt", null ]
          ] ],
          [ "More examples", "tutorial-tracking-tt.html#tracking_tt_example", null ]
        ] ],
        [ "Tutorial: Tracking with MegaPose", "tutorial-tracking-megapose.html", [
          [ "Introduction", "tutorial-tracking-megapose.html#megapose_tracking_intro", null ],
          [ "Installation", "tutorial-tracking-megapose.html#megapose_install", [
            [ "Installing the client", "tutorial-tracking-megapose.html#megapose_cpp_install", null ],
            [ "Installing the server", "tutorial-tracking-megapose.html#megapose_server_install", null ]
          ] ],
          [ "Single object tracking with MegaPose", "tutorial-tracking-megapose.html#megapose_run", [
            [ "Starting the server", "tutorial-tracking-megapose.html#megapose_start_server", null ],
            [ "Running the tracking example", "tutorial-tracking-megapose.html#megapose_run_command", null ],
            [ "Understanding the program", "tutorial-tracking-megapose.html#megapose_code", null ]
          ] ],
          [ "Adapting this tutorial for your use case", "tutorial-tracking-megapose.html#megapose_adaptation", [
            [ "Next steps", "tutorial-tracking-megapose.html#megapose_next_steps", null ]
          ] ]
        ] ],
        [ "Tutorial: Exporting a 3D model to MegaPose after reconstruction with NeRF", "tutorial-megapose-model.html", [
          [ "3D Model preparation", "tutorial-megapose-model.html#megapose_model_prep", [
            [ "3D model reconstruction with Neural Radiance Fields", "tutorial-megapose-model.html#megapose_model_reconstruction_nerf", [
              [ "Requirements and installation", "tutorial-megapose-model.html#megapose_reconstruction_requirements", null ],
              [ "Data acquisition", "tutorial-megapose-model.html#megapose_reconstruction_acquisition", null ],
              [ "Training a NeRF", "tutorial-megapose-model.html#megapose_reconstruction_training", null ],
              [ "Converting NeRF representation to .obj", "tutorial-megapose-model.html#megapose_reconstruction_conversion", null ]
            ] ],
            [ "Importing the model in blender", "tutorial-megapose-model.html#megapose_model_import", null ]
          ] ],
          [ "Exporting to megapose", "tutorial-megapose-model.html#megapose_model_ready", [
            [ "Step 1: Cleaning up the model", "tutorial-megapose-model.html#megapose_model_cleanup", null ],
            [ "Step 2: Ensuring correct scale", "tutorial-megapose-model.html#megapose_model_scale", null ],
            [ "Step 3: Selecting the origin of your model", "tutorial-megapose-model.html#megapose_model_origin", null ],
            [ "Optional step: baking textures", "tutorial-megapose-model.html#megapose_model_texture", null ],
            [ "Final step: exporting to a MegaPose-readable format", "tutorial-megapose-model.html#megapose_final_model_export", null ]
          ] ],
          [ "Common issues", "tutorial-megapose-model.html#megapose_model_common_errors", null ],
          [ "Next steps", "tutorial-megapose-model.html#megapose_model_testing", null ]
        ] ]
      ] ],
      [ "Detection", "tutorial_detection.html", [
        [ "Tutorial: Keypoints matching", "tutorial-matching.html", [
          [ "Introduction", "tutorial-matching.html#intro_matching", null ],
          [ "ORB keypoints detection and matching", "tutorial-matching.html#orb_keypoints", null ],
          [ "Using others types of keypoints", "tutorial-matching.html#other_keypoints", null ]
        ] ],
        [ "Tutorial: Bar code detection", "tutorial-detection-barcode.html", [
          [ "Introduction", "tutorial-detection-barcode.html#intro_barcode", [
            [ "Print your QR code", "tutorial-detection-barcode.html#barcode_detection_generator_qrcode", null ],
            [ "Print your DataMatrix code", "tutorial-detection-barcode.html#barcode_detection_generator_datamatrix", null ]
          ] ],
          [ "Bar code detection (single image)", "tutorial-detection-barcode.html#barcode_detection_basic", [
            [ "Source code explained", "tutorial-detection-barcode.html#barcode_detection_basic_src", null ],
            [ "Run binary", "tutorial-detection-barcode.html#barcode_detection_basic_run", null ]
          ] ],
          [ "Bar code detection (live camera)", "tutorial-detection-barcode.html#barcode_detection_live", [
            [ "Source code explained", "tutorial-detection-barcode.html#barcode_detection_live_src", null ],
            [ "Run binary", "tutorial-detection-barcode.html#barcode_detection_live_run", null ]
          ] ],
          [ "Next tutorial", "tutorial-detection-barcode.html#barcode_detection_next", null ]
        ] ],
        [ "Tutorial: Face detection", "tutorial-detection-face.html", [
          [ "Introduction", "tutorial-detection-face.html#intro_face", null ],
          [ "Face detection in a video", "tutorial-detection-face.html#face_detection_video", null ],
          [ "Face detection from a camera", "tutorial-detection-face.html#face_detection_live", null ],
          [ "Next tutorial", "tutorial-detection-face.html#face_detection_next", null ]
        ] ],
        [ "Tutorial: Object detection and localization", "tutorial-detection-object.html", [
          [ "Introduction", "tutorial-detection-object.html#object_detection_intro", null ],
          [ "Object detection using keypoints", "tutorial-detection-object.html#object_detection", [
            [ "Preamble", "tutorial-detection-object.html#detection_object_preamble", null ],
            [ "Principle of object detection using keypoints", "tutorial-detection-object.html#detection_object_principle", null ],
            [ "Teabox detection and pose estimation", "tutorial-detection-object.html#detection_object_teabox_example", null ],
            [ "Quick explanation about some parameters used in the example", "tutorial-detection-object.html#detection_object_quick_explanation", null ]
          ] ],
          [ "Additional functionalities", "tutorial-detection-object.html#detection_object_additional_functionalities", [
            [ "How to learn keypoints from multiple images", "tutorial-detection-object.html#detection_object_multiple_learning", null ],
            [ "How to display the matching when the learning is done on multiple images", "tutorial-detection-object.html#detection_object_display_multiple_images", null ]
          ] ]
        ] ],
        [ "Tutorial: Object detection and localization (deprecated)", "tutorial-detection-object-deprecated.html", [
          [ "Introduction", "tutorial-detection-object-deprecated.html#dep_object_detection_intro", null ],
          [ "Object detection using keypoints", "tutorial-detection-object-deprecated.html#dep_object_detection", [
            [ "Preamble", "tutorial-detection-object-deprecated.html#dep_detection_object_preamble", null ],
            [ "Principle of object detection using keypoints", "tutorial-detection-object-deprecated.html#dep_detection_object_principle", null ],
            [ "Teabox detection and pose estimation", "tutorial-detection-object-deprecated.html#dep_detection_object_teabox_example", null ],
            [ "Quick explanation about some parameters used in the example", "tutorial-detection-object-deprecated.html#dep_detection_object_quick_explanation", null ]
          ] ],
          [ "Additional functionalities", "tutorial-detection-object-deprecated.html#dep_detection_object_additional_functionalities", [
            [ "How to learn keypoints from multiple images", "tutorial-detection-object-deprecated.html#dep_detection_object_multiple_learning", null ],
            [ "How to display the matching when the learning is done on multiple images", "tutorial-detection-object-deprecated.html#dep_detection_object_display_multiple_images", null ]
          ] ]
        ] ],
        [ "Tutorial: AprilTag marker detection", "tutorial-detection-apriltag.html", [
          [ "Introduction", "tutorial-detection-apriltag.html#intro_apriltag", null ],
          [ "Print an AprilTag marker", "tutorial-detection-apriltag.html#apriltag_detection_print", null ],
          [ "AprilTag detection and pose estimation (single image)", "tutorial-detection-apriltag.html#apriltag_detection_basic", null ],
          [ "AprilTag detection and pose estimation (live camera)", "tutorial-detection-apriltag.html#apriltag_detection_live", null ],
          [ "Improve pose estimation accuracy using a RGB-D camera", "tutorial-detection-apriltag.html#apriltag_detection_rgbd", null ],
          [ "Next tutorial", "tutorial-detection-apriltag.html#apriltag_detection_next", null ]
        ] ]
      ] ],
      [ "DNN detection", "tutorial_detection_dnn.html", [
        [ "Tutorial: Deep learning object detection", "tutorial-detection-dnn.html", [
          [ "Introduction", "tutorial-detection-dnn.html#dnn_intro", null ],
          [ "Requirements", "tutorial-detection-dnn.html#dnn_requirements", [
            [ "Build OpenCV with GPU acceleration", "tutorial-detection-dnn.html#build_opencv_with_cuda", null ],
            [ "Install OpenCV from package", "tutorial-detection-dnn.html#install_opencv_from_package", null ]
          ] ],
          [ "Object detection example explained", "tutorial-detection-dnn.html#dnn_example", null ],
          [ "Use case", "tutorial-detection-dnn.html#dnn_usecase", [
            [ "Generic usage", "tutorial-detection-dnn.html#dnn_usecase_general", null ],
            [ "Face detection", "tutorial-detection-dnn.html#dnn_usecase_face_detection", null ],
            [ "COCO dataset objects detection", "tutorial-detection-dnn.html#dnn_models_coco", [
              [ "Faster-RCNN", "tutorial-detection-dnn.html#dnn_supported_faster_rcnn", null ],
              [ "MobileNet SSD", "tutorial-detection-dnn.html#dnn_supported_mobilenet_ssd", null ],
              [ "Yolo v3", "tutorial-detection-dnn.html#dnn_supported_yolov3", null ],
              [ "Yolo v4", "tutorial-detection-dnn.html#dnn_supported_yolov4", null ],
              [ "Yolo v5", "tutorial-detection-dnn.html#dnn_supported_yolov5", null ],
              [ "Yolo v7", "tutorial-detection-dnn.html#dnn_supported_yolov7", null ],
              [ "Yolo v8", "tutorial-detection-dnn.html#dnn_supported_yolov8", null ]
            ] ]
          ] ],
          [ "Other dnn models", "tutorial-detection-dnn.html#dnn_model_other", [
            [ "OpenCV model zoo", "tutorial-detection-dnn.html#dnn_model_other_zoo", null ]
          ] ],
          [ "Troubleshootings", "tutorial-detection-dnn.html#dnn_troubleshootings", [
            [ "Error in the DNN input size", "tutorial-detection-dnn.html#dnn_error_size", null ],
            [ "YoloV3: transpose weights is not functionNotImplementedError", "tutorial-detection-dnn.html#dnn_error_unimplemented", null ],
            [ "YoloV7: can't create NonMaxSuppression layer", "tutorial-detection-dnn.html#dnn_error_nonmaxsuppr", null ]
          ] ],
          [ "Next tutorial", "tutorial-detection-dnn.html#dnn_next", null ]
        ] ],
        [ "Tutorial: Deep learning object detection on NVIDIA GPU with TensorRT", "tutorial-detection-tensorrt.html", [
          [ "Introduction", "tutorial-detection-tensorrt.html#dnn_trt_intro", null ],
          [ "Prerequisites", "tutorial-detection-tensorrt.html#dnn_trt_prereq", [
            [ "Install CUDA", "tutorial-detection-tensorrt.html#dnn_trt_cuda_install", null ],
            [ "Install cuDNN", "tutorial-detection-tensorrt.html#dnn_trt_cudnn_install", null ],
            [ "Install TensorRT", "tutorial-detection-tensorrt.html#dnn_trt_trt_install", null ],
            [ "Install OpenCV from source", "tutorial-detection-tensorrt.html#dnn_trt_opencv_install", null ]
          ] ],
          [ "Build ViSP with TensorRT support", "tutorial-detection-tensorrt.html#dnn_trt_visp", null ],
          [ "Tutorial description", "tutorial-detection-tensorrt.html#dnn_trt_example", [
            [ "Include header files", "tutorial-detection-tensorrt.html#header_files", null ],
            [ "Pre-processing", "tutorial-detection-tensorrt.html#preprocessing", null ],
            [ "Post-processing", "tutorial-detection-tensorrt.html#postprocessing", null ],
            [ "Parse ONNX Model", "tutorial-detection-tensorrt.html#parseOnnx", null ],
            [ "Main pipeline", "tutorial-detection-tensorrt.html#Main_pipeline", null ]
          ] ],
          [ "Usage", "tutorial-detection-tensorrt.html#tutorial_usage", null ]
        ] ]
      ] ],
      [ "Computer vision", "tutorial_computer_vision.html", [
        [ "Tutorial: Pose estimation from points", "tutorial-pose-estimation.html", [
          [ "Introduction", "tutorial-pose-estimation.html#tutorial_pose_intro", null ],
          [ "Pose estimation from 4 planar points", "tutorial-pose-estimation.html#tutorial_pose_est", [
            [ "Principle on a single image", "tutorial-pose-estimation.html#tutorial_pose_est_image", null ],
            [ "Using a camera", "tutorial-pose-estimation.html#tutorial_pose_est_live", null ]
          ] ],
          [ "Next tutorial", "tutorial-pose-estimation.html#tutorial_pose_next", null ]
        ] ],
        [ "Tutorial: Pose estimation from QRcode", "tutorial-pose-estimation-qrcode.html", [
          [ "Introduction", "tutorial-pose-estimation-qrcode.html#tutorial_pose_qrcode_intro", null ],
          [ "Pose estimation of a QRcode", "tutorial-pose-estimation-qrcode.html#tutorial_pose_qrcode_est", null ],
          [ "Next tutorial", "tutorial-pose-estimation-qrcode.html#tutorial_pose_qrcode_next", null ]
        ] ],
        [ "Tutorial: Planar object pose estimation using RGB-D data.", "tutorial-planar-object-pose.html", [
          [ "Introduction", "tutorial-planar-object-pose.html#tutorial-planar-object-pose-intro", null ],
          [ "Step 1: Depth-based plane estimation", "tutorial-planar-object-pose.html#tutorial-planar-object-pose-plane-estimation", null ],
          [ "Step 2: Image point and model point matching", "tutorial-planar-object-pose.html#tutorial-planar-object-pose-matching", null ],
          [ "Step 3: Pose estimation", "tutorial-planar-object-pose.html#tutorial-planar-object-pose-pose-estimation", null ],
          [ "Next tutorial", "tutorial-planar-object-pose.html#utorial-planar-object-pose-next", null ]
        ] ],
        [ "Tutorial: Homography estimation from points", "tutorial-homography.html", [
          [ "Introduction", "tutorial-homography.html#intro", null ],
          [ "Homography estimation", "tutorial-homography.html#homography", null ],
          [ "Ransac or robust homography estimation", "tutorial-homography.html#ransac", null ]
        ] ]
      ] ],
      [ "Visual servoing", "tutorial_vs.html", [
        [ "Tutorial: Image-based visual servo", "tutorial-ibvs.html", [
          [ "Introduction", "tutorial-ibvs.html#ibvs_intro", null ],
          [ "Basic IBVS simulation", "tutorial-ibvs.html#ibvs_basic", null ],
          [ "IBVS simulation with basic viewers", "tutorial-ibvs.html#ibvs_display", null ],
          [ "IBVS simulation with wireframe viewers", "tutorial-ibvs.html#ibvs_wireframe", null ],
          [ "IBVS simulation with image processing", "tutorial-ibvs.html#ibvs_tracking", null ],
          [ "Next tutorial", "tutorial-ibvs.html#ibvs_next", null ]
        ] ],
        [ "Tutorial: Visual servo simulation on a pioneer-like unicycle robot", "tutorial-simu-robot-pioneer.html", [
          [ "Unicycle with a fixed camera", "tutorial-simu-robot-pioneer.html#simu_robot_pioneer_camera", null ],
          [ "Unicycle with a moving camera", "tutorial-simu-robot-pioneer.html#simu_robot_pioneer_camera_pan", null ],
          [ "Next tutorial", "tutorial-simu-robot-pioneer.html#simu_robot_pioneer_next", null ]
        ] ],
        [ "Tutorial: How to boost your visual servo control law", "tutorial-boost-vs.html", [
          [ "Introduction", "tutorial-boost-vs.html#intro_boost_vs", null ],
          [ "Using an adaptive gain", "tutorial-boost-vs.html#adaptive_gain", [
            [ "How to tune adaptive gain", "tutorial-boost-vs.html#adaptive_gain_tune", null ]
          ] ],
          [ "Continuous sequencing", "tutorial-boost-vs.html#continuous_adaptive_gain", null ],
          [ "Next tutorial", "tutorial-boost-vs.html#boost_vs_next", null ]
        ] ],
        [ "Tutorial: PBVS with Panda 7-dof robot from Franka Emika", "tutorial-franka-pbvs.html", [
          [ "Introduction", "tutorial-franka-pbvs.html#franka_intro", null ],
          [ "Prerequisites", "tutorial-franka-pbvs.html#franka_prereq", [
            [ "Hardware", "tutorial-franka-pbvs.html#franka_prereq_hardware", null ],
            [ "Setting up a real-time kernel", "tutorial-franka-pbvs.html#franka_prereq_rt_linux", null ],
            [ "Install Franka library", "tutorial-franka-pbvs.html#franka_prereq_libfranka", null ],
            [ "Install Realsense library", "tutorial-franka-pbvs.html#franka_prereq_librealsense", null ],
            [ "Print an Apriltag target", "tutorial-franka-pbvs.html#franka_prereq_target", null ],
            [ "Calibrate extrinsic camera parameters", "tutorial-franka-pbvs.html#franka_prereq_calib_extrinsic", null ],
            [ "Configure and build ViSP", "tutorial-franka-pbvs.html#franka_prereq_visp_build", null ],
            [ "Configure Ethernet", "tutorial-franka-pbvs.html#franka_configure_ethernet", null ],
            [ "Connect to Franka desk", "tutorial-franka-pbvs.html#franka_connect_desk", null ]
          ] ],
          [ "Position-based visual servoing", "tutorial-franka-pbvs.html#franka_pbvs", null ],
          [ "Known issues", "tutorial-franka-pbvs.html#franka_pbvs_known_issue", [
            [ "libfranka: Connection to FCI refused", "tutorial-franka-pbvs.html#franka_pbvs_known_issue_activate_FCI", null ]
          ] ],
          [ "Next tutorial", "tutorial-franka-pbvs.html#franka_pbvs_next", null ]
        ] ],
        [ "Tutorial: IBVS with Panda 7-dof robot from Franka Emika", "tutorial-franka-ibvs.html", [
          [ "Introduction", "tutorial-franka-ibvs.html#franka_ibvs_intro", null ],
          [ "Image-based visual servoing", "tutorial-franka-ibvs.html#franka_ibvs", null ],
          [ "Next tutorial", "tutorial-franka-ibvs.html#franka_ibvs_next", null ]
        ] ],
        [ "Tutorial: FrankaSim a Panda 7-dof robot from Franka Emika simulator", "tutorial-franka-sim.html", [
          [ "Introduction", "tutorial-franka-sim.html#franka_sim_intro", null ],
          [ "Tutorial", "tutorial-franka-sim.html#franka_sim_tuto", null ],
          [ "Next tutorial", "tutorial-franka-sim.html#franka_sim_next", null ]
        ] ],
        [ "Tutorial: Visual-servoing with mBot Ranger educational robot kit", "tutorial-mbot-vs.html", [
          [ "Introduction", "tutorial-mbot-vs.html#mbot_intro", null ],
          [ "Build the robot", "tutorial-mbot-vs.html#mbot_mounting", null ],
          [ "mBot Ranger setup", "tutorial-mbot-vs.html#mbot_ranger", [
            [ "Install mBlock", "tutorial-mbot-vs.html#mbot_ranger_mblock_install", null ],
            [ "Install Arduino library", "tutorial-mbot-vs.html#mbot_ranger_arduino", null ],
            [ "Test mBlock", "tutorial-mbot-vs.html#mbot_ranger_mblock_test", null ],
            [ "Upload the controller", "tutorial-mbot-vs.html#mbot_ranger_arduino_controller", null ]
          ] ],
          [ "Raspberry Pi setup", "tutorial-mbot-vs.html#mbot_rpi_install", [
            [ "Configure RPi 3 serial port", "tutorial-mbot-vs.html#mbot_rpi_install_serial_pi3", null ],
            [ "Configure RPi 1 or 2 serial port", "tutorial-mbot-vs.html#mbot_rpi_install_serial_pi2", null ],
            [ "Configure RPi camera", "tutorial-mbot-vs.html#mbot_rpi_config", null ]
          ] ],
          [ "Testing the setup", "tutorial-mbot-vs.html#mbot_test", [
            [ "Test serial port on RPi", "tutorial-mbot-vs.html#mbot_rpi_test_serial", null ],
            [ "Testing Apriltag detection", "tutorial-mbot-vs.html#mbot_rpi_test_tag_detection", null ],
            [ "Testing mBot Ranger control", "tutorial-mbot-vs.html#mbot_test_motor", null ]
          ] ],
          [ "Visual-servoing", "tutorial-mbot-vs.html#mbot_pi_vs", [
            [ "Image-based visual-servoing", "tutorial-mbot-vs.html#mbot_pi_ibvs", null ],
            [ "2D-half visual-servoing", "tutorial-mbot-vs.html#mbot_pi_2Dhalf_vs", null ],
            [ "Position-based visual-servoing", "tutorial-mbot-vs.html#mbot_pi_pbvs", null ]
          ] ],
          [ "Howto launch the demo once mBot powered on", "tutorial-mbot-vs.html#mbot_pi_service", null ]
        ] ],
        [ "Tutorial: Visual-servoing with Parrot Bebop 2 drone", "tutorial-bebop2-vs.html", [
          [ "Introduction", "tutorial-bebop2-vs.html#bebop2_intro", null ],
          [ "Prerequisites", "tutorial-bebop2-vs.html#bebop2_prereq", null ],
          [ "Build Parrot ARSDK3", "tutorial-bebop2-vs.html#bebop2_arsdk3", [
            [ "On Ubuntu", "tutorial-bebop2-vs.html#bebop2_arsdk3_ubuntu", null ],
            [ "On Mac OSX", "tutorial-bebop2-vs.html#bebop2_arsdk3_osx", null ]
          ] ],
          [ "Build ViSP to detect ARSDK3", "tutorial-bebop2-vs.html#bebop2_visp_build", null ],
          [ "Image-based visual-servoing", "tutorial-bebop2-vs.html#bebop2_ibvs", [
            [ "Source code access", "tutorial-bebop2-vs.html#bebop2_ibvs_code", null ],
            [ "Understanding the controller", "tutorial-bebop2-vs.html#bebop2_ibvs_controller", null ],
            [ "Running the program", "tutorial-bebop2-vs.html#bebop2_ibvs_run", null ]
          ] ],
          [ "Tips & Tricks", "tutorial-bebop2-vs.html#bebop2_tips", [
            [ "Changing Bebop 2 IP address", "tutorial-bebop2-vs.html#bebop2_change_ip", null ],
            [ "Connecting multiple Bebop 2 drones to a single computer", "tutorial-bebop2-vs.html#bebop2_connect_multiple", null ]
          ] ],
          [ "Next tutorial", "tutorial-bebop2-vs.html#bebop2_next", null ]
        ] ],
        [ "Tutorial: Visual servoing with FLIR Pan Tilt Unit", "tutorial-flir-ptu-vs.html", [
          [ "Introduction", "tutorial-flir-ptu-vs.html#flir_ptu_intro", null ],
          [ "Prerequisites", "tutorial-flir-ptu-vs.html#flir_ptu_prereq", [
            [ "Hardware", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_hardware", null ],
            [ "Install FLIR PTU SDK", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_ptu_sdk", null ],
            [ "Install FLIR FlyCapture SDK", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_flycap_sdk", null ],
            [ "Print an Apriltag target", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_target", null ],
            [ "Configure and build ViSP", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_visp_build", null ]
          ] ],
          [ "Image-based visual servoing", "tutorial-flir-ptu-vs.html#flir_ptu_ibvs", [
            [ "Setup material", "tutorial-flir-ptu-vs.html#flir_ptu_ibvs_setup", null ],
            [ "Determine extrinsic camera parameters", "tutorial-flir-ptu-vs.html#flir_ptu_prereq_calib_extrinsic", null ],
            [ "Start visual-servoing", "tutorial-flir-ptu-vs.html#flir_ptu_ibvs_vs", null ]
          ] ],
          [ "Known issues", "tutorial-flir-ptu-vs.html#flir_ptu_issues", [
            [ "Failed to open /dev/ttyUSB0: Permission denied", "tutorial-flir-ptu-vs.html#flir_ptu_issues_usb", null ],
            [ "Relocation R_X86_64_PC32 against symbol ‘serposix’", "tutorial-flir-ptu-vs.html#flir_ptu_issues_fpic", null ]
          ] ],
          [ "Next tutorial", "tutorial-flir-ptu-vs.html#flir_ptu_next", null ]
        ] ],
        [ "Tutorial: IBVS with a robot from Universal Robots", "tutorial-universal-robot-ibvs.html", [
          [ "Prerequisites", "tutorial-universal-robot-ibvs.html#ur_prereq", [
            [ "Install ur_rtde 3rd party", "tutorial-universal-robot-ibvs.html#ur_prereq_ur_rtde", null ],
            [ "Build ViSP with ur_rtde support", "tutorial-universal-robot-ibvs.html#ur_prereq_visp", null ],
            [ "Setting up UR robot", "tutorial-universal-robot-ibvs.html#ur_setup_robot", null ],
            [ "Setting up remote host", "tutorial-universal-robot-ibvs.html#ur_setup_remote", null ],
            [ "Testing connexion", "tutorial-universal-robot-ibvs.html#ur_setup_test", null ]
          ] ],
          [ "Image-based visual servoing", "tutorial-universal-robot-ibvs.html#ur_ibvs", null ],
          [ "Next tutorial", "tutorial-universal-robot-ibvs.html#ur_ibvs_next", null ]
        ] ],
        [ "Tutorial: PBVS with a robot from Universal Robots", "tutorial-universal-robot-pbvs.html", [
          [ "Position-based visual servoing", "tutorial-universal-robot-pbvs.html#ur_pbvs", null ],
          [ "Next tutorial", "tutorial-universal-robot-pbvs.html#ur_pbvs_next", null ]
        ] ],
        [ "Tutorial: Image-based visual-servoing on a drone equipped with a Pixhawk", "tutorial-pixhawk-vs.html", [
          [ "Introduction", "tutorial-pixhawk-vs.html#pixhawk_intro", null ],
          [ "Prerequisites", "tutorial-pixhawk-vs.html#pixhawk_prereq", [
            [ "Hardware", "tutorial-pixhawk-vs.html#pixhawk_prereq_hardware", null ],
            [ "Software", "tutorial-pixhawk-vs.html#pixhawk_prereq_software", null ]
          ] ],
          [ "Part 1: Control the drone indoor", "tutorial-pixhawk-vs.html#pixhawk_part1", [
            [ "Connect devices using MavProxy", "tutorial-pixhawk-vs.html#pixhawk_mavproxy", null ],
            [ "Stream MoCap to Pixhawk", "tutorial-pixhawk-vs.html#pixhawk_stream_mocap", null ],
            [ "Start QGroundControl", "tutorial-pixhawk-vs.html#pixhawk_qgc", null ],
            [ "Testing the drone", "tutorial-pixhawk-vs.html#pixhawk_test", null ],
            [ "Control the drone with a keyboard", "tutorial-pixhawk-vs.html#pixhawk_fly", null ]
          ] ],
          [ "Part 2: Visual Servoing", "tutorial-pixhawk-vs.html#pixhawk_part2", [
            [ "Image-based visual servoing", "tutorial-pixhawk-vs.html#pixhawk_servo", null ]
          ] ],
          [ "Next tutorial", "tutorial-pixhawk-vs.html#pixhawk_next", null ]
        ] ]
      ] ],
      [ "Munkres Assignment Algorithm", "tutorial_munkres.html", [
        [ "Tutorial: Munkres Assignment Algorithm", "tutorial-munkres.html", [
          [ "Introduction", "tutorial-munkres.html#munkres-intro", null ],
          [ "Assignment", "tutorial-munkres.html#munkres-assignment", null ]
        ] ]
      ] ],
      [ "Bridges over other frameworks (OpenCV, MATLAB, ROS-1)", "tutorial_bridge.html", [
        [ "Tutorial: Bridge over OpenCV", "tutorial-bridge-opencv.html", [
          [ "Camera parameters conversions", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_cam", null ],
          [ "Image conversions", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_image", [
            [ "From ViSP to OpenCV image conversion", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_image_vp_to_cv", null ],
            [ "From OpenCV to ViSP image conversion", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_image_cv_to_vp", null ]
          ] ],
          [ "Matrix conversions", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_matrix", [
            [ "From OpenCV to ViSP matrix conversion", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_matrix_cv_to_vp", null ],
            [ "From ViSP to OpenCV conversion", "tutorial-bridge-opencv.html#tutorial_bridge_opencv_matrix_vp_to_cv", null ]
          ] ]
        ] ],
        [ "Tutorial: Using ViSP and MATLAB", "tutorial-visp-matlab.html", [
          [ "Introduction", "tutorial-visp-matlab.html#intro_visp_matlab", null ],
          [ "CMakeLists.txt file", "tutorial-visp-matlab.html#visp_matlab_cmake", null ],
          [ "Call MATLAB function from ViSP program", "tutorial-visp-matlab.html#visp_matlab_column_sum", null ]
        ] ],
        [ "Tutorial: Using ViSP with ROS 1", "tutorial-bridge-ros.html", [
          [ "ViSP ROS package", "tutorial-bridge-ros.html#install_ros_package", null ],
          [ "Other ROS packages", "tutorial-bridge-ros.html#install_ros_package_other", null ],
          [ "Next tutorial", "tutorial-bridge-ros.html#install_ros_package_next", null ]
        ] ]
      ] ],
      [ "Other tools", "tutorial_tools.html", [
        [ "Tutorial: Real-time curves plotter tool", "tutorial-plotter.html", null ],
        [ "Tutorial: Debug and trace printings", "tutorial-trace.html", [
          [ "Introduction", "tutorial-trace.html#intro_trace", [
            [ "Macros for trace", "tutorial-trace.html#trace_macro", null ],
            [ "Macros for debug", "tutorial-trace.html#debug_macro", null ]
          ] ],
          [ "Debug and trace usage in ViSP library", "tutorial-trace.html#debug_trace_usage", null ],
          [ "Debug and trace usage in your own project", "tutorial-trace.html#example", null ]
        ] ],
        [ "Tutorial: How to use multi-threading capabilities", "tutorial-multi-threading.html", [
          [ "Introduction", "tutorial-multi-threading.html#multi-threading-into", [
            [ "Threading overview", "tutorial-multi-threading.html#multi-threading-into-thread", null ],
            [ "Mutexes overview", "tutorial-multi-threading.html#multi-threading-into-mutex", null ]
          ] ],
          [ "Pass multiple arguments and / or retrieve multiple return values", "tutorial-multi-threading.html#pass-multiple-arguments-return-values", null ],
          [ "Multi-threaded capture and display", "tutorial-multi-threading.html#multi-threading-capture", [
            [ "Includes and declarations", "tutorial-multi-threading.html#multi-threading-capture-declaration", null ],
            [ "Capture thread", "tutorial-multi-threading.html#multi-threading-capture-function", null ],
            [ "Display thread", "tutorial-multi-threading.html#multi-threading-capture-display-function", null ],
            [ "Main thread", "tutorial-multi-threading.html#multi-threading-capture-main", null ]
          ] ],
          [ "Extension to face detection", "tutorial-multi-threading.html#multi-threading-face-detection", [
            [ "Face detection thread", "tutorial-multi-threading.html#multi-threading-face-detection-function", null ],
            [ "Main thread", "tutorial-multi-threading.html#multi-threading-face-detection-main", null ]
          ] ]
        ] ],
        [ "Tutorial: Threaded PCL viewer", "tutorial-pcl-viewer.html", [
          [ "Introduction", "tutorial-pcl-viewer.html#pcl_viewer_intro", null ],
          [ "Requirements", "tutorial-pcl-viewer.html#pcl_viewer_requirements", null ],
          [ "How to run the tutorial", "tutorial-pcl-viewer.html#pcl_viewer_howtorun", null ],
          [ "Point clouds visualization example explained", "tutorial-pcl-viewer.html#pcl_viewer_example", [
            [ "Main code explained", "tutorial-pcl-viewer.html#pcl_viewer_main", null ],
            [ "Code of the example class explained", "tutorial-pcl-viewer.html#pcl_viewer_class", [
              [ "Generation of the polynomial surfaces used in this example", "tutorial-pcl-viewer.html#pcl_viewer_class_generation", null ],
              [ "How to use the vpPclViewer class to display the point clouds", "tutorial-pcl-viewer.html#pcl_viewer_class_usage", null ]
            ] ]
          ] ],
          [ "Known issues", "tutorial-pcl-viewer.html#pcl_viewer_known_issues", [
            [ "Known issue on MacOS", "tutorial-pcl-viewer.html#pcl_viewer_issues_MacOs", null ],
            [ "Known issue on Ubuntu 22.04", "tutorial-pcl-viewer.html#pcl_viewer_issues_ubuntu", null ]
          ] ]
        ] ],
        [ "Tutorial: Using JSON serialization to save your data and read program arguments", "tutorial-json.html", [
          [ "Introduction", "tutorial-json.html#tuto-json-intro", [
            [ "JSON overview", "tutorial-json.html#tuto-json-overview", null ],
            [ "Defining a JSON conversion for your types", "tutorial-json.html#tuto-json-custom-conversion", null ]
          ] ],
          [ "Example: Using JSON for a visual servoing experiment", "tutorial-json.html#tuto-json-ibvs", [
            [ "Using JSON for program arguments", "tutorial-json.html#tuto-json-ibvs-arguments", null ],
            [ "Collecting and saving visual servoing data", "tutorial-json.html#tuto-json-ibvs-saving", null ],
            [ "Reusing the data in Python to generate plots", "tutorial-json.html#tuto-json-ibvs-python", null ]
          ] ],
          [ "Next tutorial", "tutorial-json.html#tuto-json-next", null ]
        ] ],
        [ "Tutorial: Generating synthetic data for deep learning with Blenderproc", "tutorial-synthetic-blenderproc.html", [
          [ "Introduction", "tutorial-synthetic-blenderproc.html#dnn_synthetic_intro", null ],
          [ "Requirements", "tutorial-synthetic-blenderproc.html#dnn_synthetic_install", null ],
          [ "Running the object-centric generation script", "tutorial-synthetic-blenderproc.html#dnn_synthetic_script", [
            [ "3D model format", "tutorial-synthetic-blenderproc.html#dnn_input_objects", null ],
            [ "Generation configuration", "tutorial-synthetic-blenderproc.html#dnn_input_configuration", null ]
          ] ],
          [ "Running the script to generate data", "tutorial-synthetic-blenderproc.html#dnn_run_script", null ],
          [ "Using and parsing the generation output", "tutorial-synthetic-blenderproc.html#dnn_output", [
            [ "Using detections to finetune a YoloV7", "tutorial-synthetic-blenderproc.html#dnn_output_yolov7", null ],
            [ "Parsing HDF5 with a custom script", "tutorial-synthetic-blenderproc.html#dnn_output_custom_parsing", null ]
          ] ],
          [ "Next steps", "tutorial-synthetic-blenderproc.html#dnn_synthetic_next", null ]
        ] ]
      ] ],
      [ "Contributing to ViSP source code", "tutorial_coding.html", [
        [ "Tutorial: Introduce a new class with 3rd-party dependencies", "tutorial-add-new-dependency.html", [
          [ "Introduction", "tutorial-add-new-dependency.html#add_new_dep_intro", null ],
          [ "Overview", "tutorial-add-new-dependency.html#add_new_dep_overview", null ],
          [ "Modify ViSP source code", "tutorial-add-new-dependency.html#add_new_dep_modif", [
            [ "Add new 3rd-party detection", "tutorial-add-new-dependency.html#add_new_dep_modif_detect_sdk", null ],
            [ "Add VISP_HAVE 3rd-party macro", "tutorial-add-new-dependency.html#add_new_dep_modif_macro", null ],
            [ "Add new class declaration", "tutorial-add-new-dependency.html#add_new_dep_modif_class_header", null ],
            [ "Add new class definition", "tutorial-add-new-dependency.html#add_new_dep_modif_class_h", null ],
            [ "Link with 3rd-party", "tutorial-add-new-dependency.html#add_new_dep_modif_class_cpp", null ],
            [ "Add a new test", "tutorial-add-new-dependency.html#add_new_dep_modif_test", null ],
            [ "Add a new example", "tutorial-add-new-dependency.html#add_new_dep_modif_example", null ],
            [ "Add a new Doxygen tutorial", "tutorial-add-new-dependency.html#add_new_dep_modif_doxy_tuto", null ]
          ] ],
          [ "Create your own project", "tutorial-add-new-dependency.html#add_new_ext_project", null ],
          [ "Use cases", "tutorial-add-new-dependency.html#add_new_use_case", null ]
        ] ]
      ] ],
      [ "Extanding ViSP with contrib modules", "tutorial_contrib.html", [
        [ "Tutorial: How to extend ViSP creating a new contrib module", "tutorial-contrib-module.html", [
          [ "Introduction", "tutorial-contrib-module.html#contrib_intro", null ],
          [ "Contribution model", "tutorial-contrib-module.html#contrib_model", [
            [ "What about the source tree", "tutorial-contrib-module.html#contrib_model_src", null ],
            [ "What about the build tree", "tutorial-contrib-module.html#contrib_model_build", null ]
          ] ],
          [ "Creating a new contrib module", "tutorial-contrib-module.html#contrib_create_module", null ],
          [ "Building a new contrib module", "tutorial-contrib-module.html#contrib_build_module", [
            [ "On a unix-like platform", "tutorial-contrib-module.html#contrib_build_module_unix", null ],
            [ "On a windows-like platform", "tutorial-contrib-module.html#contrib_build_module_win", null ]
          ] ],
          [ "Advanced contrib module", "tutorial-contrib-module.html#contrib_advanced", null ],
          [ "Next tutorial", "tutorial-contrib-module.html#contrib_next", null ]
        ] ]
      ] ]
    ] ],
    [ "ViSP for Android", "tutorial_android.html", [
      [ "Tutorial: Building ViSP SDK for Android", "tutorial-create-android-sdk.html", [
        [ "Introduction", "tutorial-create-android-sdk.html#android_sdk_intro", null ],
        [ "Prerequisites", "tutorial-create-android-sdk.html#android_sdk_prereq", [
          [ "On Ubuntu or debian", "tutorial-create-android-sdk.html#android_sdk_prereq_linux", null ],
          [ "On Mac OSX", "tutorial-create-android-sdk.html#android_sdk_prereq_osx", null ],
          [ "On Windows", "tutorial-create-android-sdk.html#android_sdk_prereq_win", null ]
        ] ],
        [ "Create a workspace", "tutorial-create-android-sdk.html#android_sdk_ws", null ],
        [ "Get ViSP source code", "tutorial-create-android-sdk.html#android_sdk_get_source", null ],
        [ "Build ViSP Android SDK", "tutorial-create-android-sdk.html#android_sdk_build", [
          [ "On Linux or Debian", "tutorial-create-android-sdk.html#android_sdk_build_linux", null ],
          [ "On Mac OSX", "tutorial-create-android-sdk.html#android_sdk_build_osx", null ],
          [ "On Windows", "tutorial-create-android-sdk.html#android_sdk_build_win", null ],
          [ "Known issue", "tutorial-create-android-sdk.html#android_sdk_build_issue", null ]
        ] ],
        [ "Tips & tricks", "tutorial-create-android-sdk.html#android_sdk_tips", [
          [ "How to know Android NDK version", "tutorial-create-android-sdk.html#android_sdk_ndk_version", null ]
        ] ],
        [ "Next tutorial", "tutorial-create-android-sdk.html#android_sdk_next", null ]
      ] ],
      [ "Tutorial: Creating a simple Android App with ViSP", "tutorial-android-getting-started.html", [
        [ "Getting Started", "tutorial-android-getting-started.html#android-getting-started", null ],
        [ "Create an Android Project", "tutorial-android-getting-started.html#create-a-project", null ],
        [ "Importing ViSP SDK", "tutorial-android-getting-started.html#import-the-sdk", null ],
        [ "Begin Camera Preview", "tutorial-android-getting-started.html#begin-camera-preview", null ],
        [ "Starting Camera Preview", "tutorial-android-getting-started.html#start-camera-preview", null ],
        [ "Further Image manipulation", "tutorial-android-getting-started.html#further-development", null ]
      ] ]
    ] ],
    [ "ViSP for iOS", "tutorial_ios_new.html", [
      [ "Tutorial: Installation from prebuilt packages for iOS devices", "tutorial-install-ios-package.html", [
        [ "ViSP framework for iOS", "tutorial-install-ios-package.html#install_ios_package_list", null ],
        [ "Next tutorial", "tutorial-install-ios-package.html#install_ios_package_next", null ]
      ] ],
      [ "Tutorial: Installation from source for iOS devices", "tutorial-install-iOS.html", [
        [ "Install required software", "tutorial-install-iOS.html#install_iOS_required", null ],
        [ "Getting OpenCV framework (optional)", "tutorial-install-iOS.html#install_iOS_opencv", null ],
        [ "Getting ViSP source code", "tutorial-install-iOS.html#install_iOS_get_source", null ],
        [ "Building ViSP framework", "tutorial-install-iOS.html#install_iOS_build", null ],
        [ "Known issues", "tutorial-install-iOS.html#install_iOS_know_issue", [
          [ "xcrun: error: SDK cannot be located", "tutorial-install-iOS.html#install_iOS_know_issue_xcrun", null ]
        ] ],
        [ "Next tutorial", "tutorial-install-iOS.html#install_iOS_next", null ]
      ] ],
      [ "Tutorial: How to create a basic iOS application that uses ViSP", "tutorial-getting-started-iOS.html", [
        [ "Create a new Xcode project", "tutorial-getting-started-iOS.html#getting-started-iOS-create", null ],
        [ "Linking ViSP framework", "tutorial-getting-started-iOS.html#getting-started-iOS-link-visp", null ],
        [ "Writing a ViSP iOS application", "tutorial-getting-started-iOS.html#getting-started-iOS-app", null ],
        [ "Known issues", "tutorial-getting-started-iOS.html#getting-started-ios-issues", [
          [ "iOS error: libxml/parser.h not found", "tutorial-getting-started-iOS.html#getting-started-ios-issue-libxml", null ]
        ] ],
        [ "Next tutorial", "tutorial-getting-started-iOS.html#getting-started-iOS-next", null ]
      ] ],
      [ "Tutorial: Image processing on iOS", "tutorial-image-ios.html", [
        [ "Introduction", "tutorial-image-ios.html#image_ios_intro", null ],
        [ "StartedImageProc application", "tutorial-image-ios.html#image_ios_app", null ],
        [ "Image conversion functions", "tutorial-image-ios.html#image_ios_convert", [
          [ "UIImage to color vpImage", "tutorial-image-ios.html#image_ios_convert_uiimage_vpimage_color", null ],
          [ "UIImage to gray vpImage", "tutorial-image-ios.html#image_ios_convert_uiimage_vpimage_gray", null ],
          [ "Color vpImage to UIImage", "tutorial-image-ios.html#image_ios_convert_vpimage_color_uiimage", null ],
          [ "Gray vpImage to UIImage", "tutorial-image-ios.html#image_ios_convert_vpimage_gray_uiimage", null ]
        ] ],
        [ "Application output", "tutorial-image-ios.html#image_ios_output", null ],
        [ "Known issues", "tutorial-image-ios.html#image_ios-issues", [
          [ "iOS error: libxml/parser.h not found", "tutorial-image-ios.html#image_ios-issue-libxml", null ]
        ] ],
        [ "Next tutorial", "tutorial-image-ios.html#image_ios_next", null ]
      ] ],
      [ "Tutorial: AprilTag marker detection on iOS", "tutorial-detection-apriltag-ios.html", [
        [ "Introduction", "tutorial-detection-apriltag-ios.html#intro_apriltag_ios", null ],
        [ "AprilTag detection and pose estimation (single image)", "tutorial-detection-apriltag-ios.html#apriltag_detection_basic_ios", null ],
        [ "Image display functions", "tutorial-detection-apriltag-ios.html#apriltag_detection_display", [
          [ "Display a line", "tutorial-detection-apriltag-ios.html#apriltag_detection_display_line", null ],
          [ "Display a 3D frame", "tutorial-detection-apriltag-ios.html#apriltag_detection_display_frame", null ]
        ] ],
        [ "Application output", "tutorial-detection-apriltag-ios.html#apriltag_detection_basic_output", null ],
        [ "Known issues", "tutorial-detection-apriltag-ios.html#apriltag_detection-issues", [
          [ "iOS error: libxml/parser.h not found", "tutorial-detection-apriltag-ios.html#apriltag_detection-issue-libxml", null ]
        ] ],
        [ "Next tutorial", "tutorial-detection-apriltag-ios.html#apriltag_detection_ios_next", null ]
      ] ],
      [ "Tutorial: AprilTag marker real-time detection on iOS", "tutorial-detection-apriltag-ios-realtime.html", [
        [ "Introduction", "tutorial-detection-apriltag-ios-realtime.html#intro_apriltag_ios_realtime", null ],
        [ "VideoCapture for real time detection", "tutorial-detection-apriltag-ios-realtime.html#videocapture_for_realtime", null ],
        [ "Call Objective-C class from Swift", "tutorial-detection-apriltag-ios-realtime.html#call_objectivec_swift", null ],
        [ "Distance from camera", "tutorial-detection-apriltag-ios-realtime.html#distance_from_camera", null ],
        [ "Application output", "tutorial-detection-apriltag-ios-realtime.html#apriltag_ios_realtime_output", null ]
      ] ]
    ] ],
    [ "ViSP for Java", "tutorial_java.html", [
      [ "Tutorial: Installing ViSP for Java", "tutorial-install-java.html", [
        [ "Introduction", "tutorial-install-java.html#java_intro", null ],
        [ "Create a workspace", "tutorial-install-java.html#java_ws", null ],
        [ "Install Java Development Kit (JDK)", "tutorial-install-java.html#java_install_jdk", [
          [ "On Ubuntu or Debian platform", "tutorial-install-java.html#java_install_jdk_unix", null ],
          [ "On Mac OSX platform", "tutorial-install-java.html#java_install_jdk_osx", null ],
          [ "On Windows platform", "tutorial-install-java.html#java_install_jdk_win", null ]
        ] ],
        [ "Install the latest Eclipse version", "tutorial-install-java.html#java_eclipse", null ],
        [ "Install Prerequisites", "tutorial-install-java.html#java_prereq", null ],
        [ "Build ViSP from source code", "tutorial-install-java.html#install_java_visp", [
          [ "Getting ViSP source code", "tutorial-install-java.html#install_java_visp_get_source", null ],
          [ "Configuring ViSP from source", "tutorial-install-java.html#install_java_visp_config", null ],
          [ "Building ViSP libraries", "tutorial-install-java.html#install_java_visp_build", null ]
        ] ],
        [ "Setting Up ViSP Java in Eclipse", "tutorial-install-java.html#set_up_visp_java_eclipse", [
          [ "Creating a user library", "tutorial-install-java.html#create_user_library", null ]
        ] ],
        [ "Tips & Tricks", "tutorial-install-java.html#java_install_tips", [
          [ "How to uninstall JDK", "tutorial-install-java.html#java_install_tips_uninstall_jdk", null ],
          [ "How to delete an Eclipse workspace", "tutorial-install-java.html#java_install_tips_rm_workspace", null ]
        ] ],
        [ "Next tutorial", "tutorial-install-java.html#java_install_next", null ]
      ] ],
      [ "Tutorial: First java application with ViSP", "tutorial-java-started.html", [
        [ "Introduction", "tutorial-java-started.html#java_started_intro", null ],
        [ "Create a new project", "tutorial-java-started.html#java_started_create_project", null ],
        [ "Add a user library", "tutorial-java-started.html#java_started_user_lib", null ],
        [ "Create a simple application", "tutorial-java-started.html#java_started_simple_app", null ],
        [ "Known issues", "tutorial-java-started.html#java_started_issues", [
          [ "Exception Unsupported Class Version Error", "tutorial-java-started.html#java_started_issue_jre", null ],
          [ "Exception Unsatisfied Link Error", "tutorial-java-started.html#java_started_issue_vsp_version", null ],
          [ "Error running Java app with Intel MKL", "tutorial-java-started.html#java_started_issue_mkl", null ]
        ] ],
        [ "Next tutorial", "tutorial-java-started.html#java_started_next", null ]
      ] ],
      [ "Tutorial: AprilTag detection in java with ViSP", "tutorial-java-apriltag.html", [
        [ "Introduction", "tutorial-java-apriltag.html#java_tag_intro", null ],
        [ "Create a new project", "tutorial-java-apriltag.html#java_tag_create_project", null ],
        [ "Add a user library", "tutorial-java-apriltag.html#java_tag_user_lib", null ],
        [ "Import AprilTag application java code", "tutorial-java-apriltag.html#java_tag_app", null ],
        [ "Run AprilTag detection application", "tutorial-java-apriltag.html#java_tag_run", null ],
        [ "Known issues", "tutorial-java-apriltag.html#java_tag_issues", null ],
        [ "Next tutorial", "tutorial-java-apriltag.html#java_tag_next", null ]
      ] ],
      [ "Tutorial: Generic model-based tracking in java with ViSP", "tutorial-java-mbt-generic.html", [
        [ "Introduction", "tutorial-java-mbt-generic.html#java_mbt_gen_intro", null ],
        [ "Create a new project", "tutorial-java-mbt-generic.html#java_mbt_gen_create_project", null ],
        [ "Add a user library", "tutorial-java-mbt-generic.html#java_mbt_gen_user_lib", null ],
        [ "Import generic tracker java code", "tutorial-java-mbt-generic.html#java_mbt_gen_app", null ],
        [ "Run tracking application", "tutorial-java-mbt-generic.html#java_mbt_gen_run", null ],
        [ "Known issues", "tutorial-java-mbt-generic.html#java_mbt_issues", null ]
      ] ]
    ] ],
    [ "ViSP for Unity", "tutorial_unity.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"AROgreBasic_8cpp-example.html",
"classvpAR.html#a67ba1b77975b4a637e3d258e2b417ad0",
"classvpAfma6.html#ac3b8c0a332e85214f40520359f430d37",
"classvpCalibrationException.html#a5f2248607f62f3060ed4c37d75c67121",
"classvpColVector.html#a1d088ba20cdf263d60442a7273d063fc",
"classvpComedi.html#a9650d77601bffbe4fd9170eb74066cc4",
"classvpDetectorDNNOpenCV.html#afb936944c2832b289c52d10c4700ed3a",
"classvpDisplay.html#ac93ab5b811b039b8c04a07cae2b49ed4a60000e40e4ca02eafa4331740ab33dd9",
"classvpDisplayException.html#adacc3146c65a779ae55a7fc3873906a5",
"classvpDisplayGTK.html#a5660b8633f3d7dc164eabe2d2b841561",
"classvpDisplayOpenCV.html#aaab45fe58d8966edf22d5cd400f68781",
"classvpDisplayX.html",
"classvpDot2.html#a217c607fc28567dede9ad3c550625db9",
"classvpFeatureLine.html#a0e653691b36f6c63fd507c7fed33691f",
"classvpFeatureMomentBasic.html#a05ec5e18362d2bf6b4cc46f33e67b4f2",
"classvpFeatureMomentGravityCenterNormalized.html#ac10e853738717425ca9e984597a60c2c",
"classvpFeatureTranslation.html#a84f0ee3b52d28827e4da7f09284d6a30",
"classvpForceTwistMatrix.html#a13e418e1e632c3548b538d0e385f9a4d",
"classvpHomogeneousMatrix.html#a0d8870cee30d12d629232cb4f40e0459",
"classvpImageConvert.html#a1352c208f09082eadc3067a7cd8ecf25",
"classvpImageIo.html#ad380af033bc4aef174a8402856d38840",
"classvpIoTools.html#ad2c58abadddb9550268ad6c81fcc62d9",
"classvpKeyPoint.html#a525e2f0809607306112c780a67498a13",
"classvpKeyPoint.html#ad7cbd23a86a751a1b7c96228d4d14c77",
"classvpLinearKalmanFilterInstantiation.html#aae10cf5cb78734c9f12943314db6cd59",
"classvpMatrix.html#a84390214f054178fc30ab5698f068523",
"classvpMbDepthDenseTracker.html#a6813f23db6319544dcd7a2d37e86142e",
"classvpMbDepthNormalTracker.html#a88b023d057b283a91f6875f8bdfc6136",
"classvpMbEdgeKltTracker.html#a7d6f857b107911c16febfbda005527b4",
"classvpMbEdgeTracker.html#a47f731f9a5213eb245cdfe49a7294cba",
"classvpMbGenericTracker.html#a3632a6dc30cd60a15cc3a3f4a1c6189f",
"classvpMbGenericTracker.html#af4dc0f22b4340392ceae749a9b8505c6",
"classvpMbKltTracker.html#ad069ef3c6dd0a1feeefaaf50694266a2",
"classvpMbtDistanceCircle.html#aac067cf06957d16e70c78518d31ee070",
"classvpMbtFaceDepthNormal.html#a93969ab48ded5232e4312b32022215a3",
"classvpMeEllipse.html#a441b8d048ba5390ffe0b57ed144e9fe7",
"classvpMeSite.html#a579585dfd52b42373629163603fade02",
"classvpMomentCInvariant.html#a667b5eb409aff01334e68ccb90c90772",
"classvpNurbs.html#a96ee9617125e8cb6238d62c0848c2e13",
"classvpPlane.html#a96b77b30576c1a0e63a72eed19be805d",
"classvpPose.html#aafd2b052c0c926665c0fe8035f7effe9",
"classvpPylonGrabberGigE.html#ac0f5b8afc68f5d981acdeab29b5643a7a05cc76228bb77bb1d22ba3f8eb77d854",
"classvpRGBf.html#a2eef58917c301e32988665cf8aed0c24",
"classvpRingLight.html#a37d011f2a96bc5c12e81ffe9cf96590d",
"classvpRobotAfma6.html#a7de4c2d5cf72a7d7fab420420c0e5f1a",
"classvpRobotCamera.html#ab901fe6a7620e458445772d0d3644cc6",
"classvpRobotKinova.html#aa80bd86d023bb27da0a47d548d462027",
"classvpRobotSimulator.html#a5abecb138a7b27ebf72df0e9e7ad8167aeb894c8f5cea04f57f164ef5b43b7a3a",
"classvpRobotViper650.html#a27a7e46fb72f446cc5df51bd3f5e34ec",
"classvpRobotViper850.html#aceddd26bf46bdeb93ecec83583fa75b9",
"classvpRobotWireFrameSimulator.html#a813cff0c8235a67af1d7dd674ffd112a",
"classvpRobust.html#ad1dd9956399ca6babfa1b8b49a92eab5",
"classvpRxyzVector.html#a6b34baa0eedaef3b1d4dece5ae4fac74",
"classvpServer.html#ab53e61cabd0bda4ebae892fd2fda88c3",
"classvpSimulator.html#a3c16ad37046de16ebc74360631306186",
"classvpSimulatorAfma6.html#aa80bd86d023bb27da0a47d548d462027a1816915b28c4638300c3bf6d70d643fb",
"classvpSimulatorPioneer.html#ab901fe6a7620e458445772d0d3644cc6",
"classvpSimulatorViper850.html#a87c181781ba4989b24dd65dbf2b67787",
"classvpSubColVector.html#a73fb70386fbef5b73bd2e68f4a26aa16",
"classvpSubMatrix.html#ada80d0332eb70dfa1f3afa640636fc64",
"classvpTemplateTrackerMI.html#a0c2e625a09483e0aa3c3d4585898939e",
"classvpTemplateTrackerMIESM.html#a6f83c602518edc7415f94bc45d37396a",
"classvpTemplateTrackerMIForwardAdditional.html#ad0fb015d3d6aa8a380d685da91df0d7ca6b959c2521b9b492f5d38b641df0f54a",
"classvpTemplateTrackerMIInverseCompositional.html#a3c5f27a65c35bb4c256bd1e8b6837bd4",
"classvpTemplateTrackerSSDESM.html#a08c57b700d6d9e2094cad422d4bbc59f",
"classvpTemplateTrackerSSDForwardCompositional.html#a2b51f5822695a8c7d2bf04f73174079e",
"classvpTemplateTrackerTriangle.html#af6f3614e159588cd2ad71394d9dc9ded",
"classvpTemplateTrackerZNCC.html#ab2e4eefcef7a89e85a6a83fc7137dbb6",
"classvpTemplateTrackerZNCCInverseCompositional.html#af05bb86b2006a5ea8a46478d0700acba",
"classvpUDPClient.html#a26ad951dc1e7599f9c7467f9c77182c7",
"classvpViper.html#a3ef94647b2a3303b1f7702bd5c892c51",
"classvpViper850.html#adae0c5acf3dcbe56170b3432c748c52d",
"classvpWireFrameSimulator.html#ad02b37980719423749c1a93c0834cae7",
"functions_n.html",
"mbot-apriltag-2D-half-vs_8cpp-example.html",
"supported-material.html#material_camera_basler",
"trackMeLine_8cpp-example.html",
"tutorial-detection-tensorrt.html#header_files",
"tutorial-imgproc-flood-fill.html",
"tutorial-install-raspberry.html#install_raspberry_setup",
"tutorial-install-win10-msvc17-uwp.html#install_msvc17_uwp_3rd_git",
"tutorial-pioneer-robot_8cpp-example.html",
"tutorial-tracking-megapose.html#megapose_run_command"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';